VirtualBox

Ticket #234 (closed task: fixed)

Opened 7 years ago

Last modified 20 months ago

I18N progress

Reported by: dmik Owned by: dmik
Priority: major Component: GUI
Version: Keywords: I18N NLS translation
Cc: Guest type: other
Host type: other

Description (last modified by michael) (diff)

[Update: This ticket is closed, any further discussion goes to its successor ticket:2018]

This ticket is intended for two purposes:

  1. Submit new translation source files by attaching them to this ticket.
  2. Report about performing synchronization of existing translation source files in the SVN repository.

Step 1 is done by contributors willing to add support for a new language to the VirtualBox product. An accepted translation file appears in the SVN repository and becomes available in the binary builds. Even after that, contributors remain responsible for updating translation files to keep them in sync with updates to the VirtualBox UI.

Step 2 is performed by the GUI maintainer at innotek before a new release (or after a major UI change) to inform contributors that translation files need to be updated.

More info about the translation process can be found  here.

The current list of translators:

languageidauthorslegal status%%
English (built-in)built_ininnotekOK (internal)100%
GermandeinnotekOK (internal)99%
Traditional Chinese (Taiwan)zh_TWOSSII(OSS Integral Institute Co, Ltd.)OK (comment:81)100%
Chinese (China)zh_CNVictor Wang(comment:92)100%
ItalianitCiro Mattia GonanoOK (comment:24)100%
RomanianroAlexandru Ioan EftimieOK (comment:25)100%
SpanishesJoaquín DuoOK (comment:28)100%
ArabicarBerdai Mohammed (no e-mail)needs relicensing25%
Russianruinnotek, Igor Gorbounov, Egor Morozov(comment:52, comment:47)100%
SlovenianslJLP? (no e-mail)no results yet???
FrenchfrJean-Jacques SartonOK (comment:33)100%
JapanesejaToshimitsu TanakaOK (comment:75)100%
PolishplAdrian Łubik, Dawid WrobelOK (comment:78, comment:80, comment:174)100%
KoreankoPark ShinjoOK (comment:224)99%
Portuguese (Brazil)pt_BRErico MendoncaOK (comment:98)100%
PortugueseptJosé Melo, Marcelo CoelhoOK (comment:230, comment:275)100%
SwedishsvDaniel NylanderOK (comment:122)100%
HungarianhuGeorge HronOK (comment:136)83%
SerbiansrOzziiOK (comment:234)100%
FinnishfiJarno Kiuttu, Timo JyrinkiOK (comment:137, comment:263)57%
CzechcsJan Kaláb, Jan Lipovsky, Ondrej KarlikOK (comment:183)100%
DutchnlAlexander L. de GoeijOK (comment:163)10%
SlovakskIvan Masár, Jozef ŘíhaOK (comment:231, comment:309)85%
BasqueeuPiarres BeobideOK (comment:211)99%
CatalancaPau IranzoOK (comment:207, comment:248)100%
IndonesianidDavid YacobusOK (ICA by mail)100%
TurkishtrSerdar SoytetirOK (comment:254, comment:256)98%
DanishdaTenzer? (no e-mail)no results yet???

Attachments

VBoxSVC_zh_TW.ts.zip Download (390 bytes) - added by bluebat 7 years ago.
additional translation for zh_TW
qt_es.ts.zip Download (7.5 KB) - added by jd 7 years ago.
Checked: The 3.3.8 is the same as the 3.3.3
VirtualBox_ar.ts.zip Download (16.1 KB) - added by medber 7 years ago.
Arabic Translation, 25%
ja_ts.zip Download (36.7 KB) - added by toshi3_tanaka 7 years ago.
rename ja_JP to ja
VirtualBox_ru.ts.zip Download (30.4 KB) - added by igorbounov 7 years ago.
The updated VirtualBox_ru.ts file attached, 100% done. Some typos are corrected.
qt_ja.ts.zip Download (9.4 KB) - added by toshi3_tanaka 7 years ago.
typo fix
VirtualBox_hu_HU.2.zip Download (30.1 KB) - added by hron84 7 years ago.
Hungarian translation update, Qt 3.x, fixed names, 86% (+2 string), not merged
VirtualBox_fi.3.zip Download (24.9 KB) - added by JJK 7 years ago.
finnish translated 50
VirtualBox_zh_TW.zip Download (34.1 KB) - added by khiav 7 years ago.
86 %
qt_zh_TW.zip Download (8.1 KB) - added by khiav 7 years ago.
92 %
VirtualBox_zh_TW.2.zip Download (34.8 KB) - added by khiav 7 years ago.
Fix error
Virtualbox_eu.zip Download (41.6 KB) - added by piarres 7 years ago.
Baque translation update
sk.zip Download (35.9 KB) - added by helix84 7 years ago.
Slovak (sk) translation 65% done
VirtualBox_ko.2.zip Download (44.3 KB) - added by peremen 7 years ago.
A little, but serious error was found. Please update Korean translation asap.
VirtualBox_ko.ts Download (244.4 KB) - added by peremen 7 years ago.
changeset:5243 patch
VirtualBox_cs.zip Download (71.2 KB) - added by Pitel 7 years ago.
1.5.2 patched
VirtualBox_fi.zip Download (30.5 KB) - added by JJK 7 years ago.
Update translate
qt_zh_TW.ts.zip Download (8.1 KB) - added by bluebat 7 years ago.
VirtualBox_zh_TW.ts.zip Download (45.8 KB) - added by bluebat 7 years ago.
VirtualBox_pt_PT.zip Download (47.1 KB) - added by marcelocoelho 7 years ago.
New translation
VirtualBox_it.ts.zip Download (38.2 KB) - added by lestat 7 years ago.
Updated for 1.5.2
VirtualBox_hu.ts.2.zip Download (33.6 KB) - added by hron84 7 years ago.
Updated Hungarian translation. Some typo fixed
VirtualBox_ko.zip Download (47.3 KB) - added by peremen 6 years ago.
Slight 1.5.2 translation update
Virtualbox_nl_NL.zip Download (24.9 KB) - added by lxndr 6 years ago.
First version dutch translation 20% done (v0.1)
vbox-tr.patch Download (340.0 KB) - added by cartman 6 years ago.
Initial Turkish translation by Serdar Soytetir of Pardus Linux, contributed under MIT license.
VirtualBox_pl.zip Download (41.8 KB) - added by cromo 6 years ago.
Update the translation for Virtualbox 1.5.2+
tr_files.tar.gz Download (44.0 KB) - added by serdar 6 years ago.
Initial VirtualBox_tr.ts and qt_tr.ts Turkish translation.
virtualbox-finnish-translation-fixes.patch.gz Download (10.5 KB) - added by TJ 6 years ago.
patch to Finnish translations, SVN version
qt_pt.ts Download (77.0 KB) - added by mmodem 6 years ago.
Portuguese translations with speling errors fixed, brasilian strings updated into portuguese, context incorrections updated, and severall other erros fixed
virtualbox_1_6_finnish.tar.gz Download (35.3 KB) - added by TJ 6 years ago.
VirtualBox 1.6 Finnish translation update
VirtualBox_ro.ts.zip Download (53.7 KB) - added by alexef 6 years ago.
Romanian Translation syncronised for the 1.6 release
vboxko.tgz Download (52.9 KB) - added by peremen 6 years ago.
Translation update for 1.6 release.
qt_zh_CN.ts.zip Download (7.1 KB) - added by victor 6 years ago.
update to version 1.6
VirtualBox_fr.ts.zip Download (47.2 KB) - added by jean-jacques 6 years ago.
Last minute translation
VirtualBox_pt.ts Download (346.2 KB) - added by mmodem 6 years ago.
Translation with last updates
VirtualBox_ca.2.zip Download (50.8 KB) - added by Pau 6 years ago.
Minor change
VirtualBox_pl.ts Download (357.1 KB) - added by cromo 6 years ago.
VirtualBox_zh_TW.3.zip Download (45.2 KB) - added by wwl81er 6 years ago.
The traditional chinese (zh_TW) translation attached here by wwl81er is published under the terms of the MIT license.
VirtualBox_zh_CN.ts.2.zip Download (43.8 KB) - added by victor 6 years ago.
minor change
VirtualBox_it.zip Download (44.7 KB) - added by lestat 6 years ago.
Update as 05/21/08
VirtualBox_ja.ts.zip Download (43.6 KB) - added by toshi3_tanaka 6 years ago.
Update for 1.6.2
VirtualBox_pt_BR.zip Download (53.5 KB) - added by docca 6 years ago.
Brazilian Portuguese (pt_BR) translation for VirtualBox (updated for v1.6.2)
VirtualBox_sr.zip Download (42.7 KB) - added by ozzii 6 years ago.
Update
VirtualBox_zh_CN.ts.zip Download (44.1 KB) - added by victor 6 years ago.
update for 1.6.2
qt_id.ts Download (57.7 KB) - added by david_yacobus 6 years ago.
Indonesian Language updates for 1.62
VirtualBox_id.ts Download (273.0 KB) - added by david_yacobus 6 years ago.
Indonesian Language updates for 1.6.2
VirtualBox_id.zip Download (50.0 KB) - added by david_yacobus 6 years ago.
Indonesia language updates for 1.6.2
VirtualBox_sv.zip Download (48.3 KB) - added by yeager 6 years ago.
Swedish translation
Portuguese.tar.bz2 Download (34.9 KB) - added by mmodem 6 years ago.
Portuguese translation revisioned
VirtualBox_es.ts.zip Download (46.2 KB) - added by jd 6 years ago.
85% done
VirtualBox_sk.zip Download (31.8 KB) - added by jose1711 6 years ago.
Updated Slovak translation
VirtualBox_tr.ts Download (258.7 KB) - added by serdar 6 years ago.
Some Turkish translations (VirtualBox_tr.ts) updated against SVN head.
VirtualBox_sk.2.zip Download (36.2 KB) - added by jose1711 6 years ago.
Updated Slovak translation (August 24, 2008)
VirtualBox_zh_CN.zip Download (95.7 KB) - added by cool_zjy 3 years ago.
full translation file
VirtualBox_hu410.zip Download (104.6 KB) - added by Gabee 3 years ago.
Hungarian translation update for 4.1.0
VirtualBox_ca.ts.zip Download (119.9 KB) - added by PauGNU 19 months ago.
Updated Catalan Translation (not 100% but working)

Change History

comment:1 follow-ups: ↓ 32 ↓ 39 ↓ 48 ↓ 54 ↓ 95 ↓ 110 Changed 7 years ago by dmik

  • Owner set to dmik
  • Status changed from new to assigned

comment:2 Changed 7 years ago by dmik

  • Keywords I18N NLS translation added

comment:3 Changed 7 years ago by dmik

bluebat, VirtualBox_zh_TW.ts should appear in SVN shortly. Please zip it next time (there is no UI to download an attachment in raw format here yet; making it binary will force raw format automatically).

The file is indeed quite outdated. When updating, make sure you will update a special section called @@@ (see  http://www.virtualbox.org/wiki/Translating for description).

Translation files for all languages have been synchronized with sources. This will be always done when a new translation file is added to SVN for the first time (besides regular synchronizations).

comment:4 Changed 7 years ago by dmik

  • Description modified (diff)

comment:5 Changed 7 years ago by dmik

VirtualBox_zh_CN is now in SVN, all language files have been synchronized with sources.

comment:6 Changed 7 years ago by dmik

  • Summary changed from I18N progress to Ы

Synchronized all NLS with sources (Language UI update).

comment:7 Changed 7 years ago by dmik

  • Summary changed from Ы to I18N progress

comment:8 Changed 7 years ago by lestat

Italian translation is completed but not yet tested.

comment:9 Changed 7 years ago by KhaoticMind

I'll start translating it to Brazilian Portuguese (pt_BR).

comment:10 follow-up: ↓ 11 Changed 7 years ago by jd

I have begun translating to spanish.

What about uploading the partially translated files to the wiki?
So in that way it would be easier to coordinate translations.
Furthermore, the partially made translations wouldn't be lost. (supposing the translator abandon for some reason)

Changed 7 years ago by bluebat

additional translation for zh_TW

comment:11 in reply to: ↑ 10 ; follow-up: ↓ 13 Changed 7 years ago by achimha

Replying to jd:

I have begun translating to spanish.

Muchos gracias!

What about uploading the partially translated files to the wiki?

Just submit your translation files on a regular base to this record. We will add them to the source tree, even when they're not done yet.

Everyone: please add a comment every time you upload a translation, this way we get notified.

comment:12 Changed 7 years ago by alexef

I've started the Romanian translation!

comment:13 in reply to: ↑ 11 ; follow-up: ↓ 17 Changed 7 years ago by jd

Replying to achimha:

Replying to jd:

I have begun translating to spanish.

Muchos gracias!

What about uploading the partially translated files to the wiki?

Just submit your translation files on a regular base to this record. We will add them to the source tree, even when they're not done yet.

There it goes!

It should be good to give some guidelines about the acceleration keys on the wiki article.
Is there a way to check acceleration keys overlapping on qt3-linguist?
How does the translator know the limits of the acceleration keys context?
I mean there are same accel keys between same <context></context>.

comment:14 Changed 7 years ago by medber

I have started the Arabic translation !

comment:15 in reply to: ↑ description ; follow-up: ↓ 16 Changed 7 years ago by akrus

Hello, I'd like to translate VirtualBox to Russian, but the file is already added to SVN. Is the position still available? I'll start translating right after your reply :)

comment:16 in reply to: ↑ 15 Changed 7 years ago by achimha

Replying to akrus:

Hello, I'd like to translate VirtualBox to Russian, but the file is already added to SVN. Is the position still available? I'll start translating right after your reply :)

Someone's already working on it (Igor Gorbunov). Send a message to info at virtualbox.org if you want to get in touch with him, maybe he needs some help.

Спасибо!

comment:17 in reply to: ↑ 13 ; follow-up: ↓ 20 Changed 7 years ago by wcervini

Replying to jd:

Replying to achimha:

Replying to jd:

I have begun translating to spanish.

Muchos gracias!

What about uploading the partially translated files to the wiki?

Just submit your translation files on a regular base to this record. We will add them to the source tree, even when they're not done yet.

There it goes!

It should be good to give some guidelines about the acceleration keys on the wiki article.
Is there a way to check acceleration keys overlapping on qt3-linguist?
How does the translator know the limits of the acceleration keys context?
I mean there are same accel keys between same <context></context>.

Hi I'd like to help at the translation in Spanish. This is my native language and I start to translate.

comment:18 follow-up: ↓ 21 Changed 7 years ago by alexef

Hi, I know that this isn't the right place to ask that, but I cannot test my translation. I'm using VirtualBox 1.3.8, Qtlinguist3, I've got the .qm, placed into <path_VB..>/nls/ folder, changed locale to ro_RO (on ubuntu 6.10), but still got nothing. The only language I see is English. Any help would be appreciated.

comment:19 Changed 7 years ago by JLP

Hi all I'm going to start translation into Slovenian language (Slovenščina)

comment:20 in reply to: ↑ 17 Changed 7 years ago by jd

Recomendación para los traductores al español

Convenciones de la traducción:

  • Folder: carpeta (en este momento será la traduccion orientada a windows). Probablemente se haga una versión donde se diga directorio.
  • Share, shared: compartir, compartido, préstamo (cuando es sustantivo)
  • Snapshot: Instantánea
  • Reset: Reiniciar
  • Guest: Huésped
  • Host: Anfitrión
  • Backspace: Retroceso
  • Con respecto a los "acceleration keys" lo mejor es tratar de ponerlas en el mismo palabra y orden de letra donde estaban en inglés a menos que coincida con otra anterior.

La presente traducción no se adapta en su totalidad a estas reglas hay que editar algunas cosas.

Saludos!

comment:21 in reply to: ↑ 18 Changed 7 years ago by jd

Replying to alexef:

Hi, I know that this isn't the right place to ask that, but I cannot test my translation. I'm using VirtualBox 1.3.8, Qtlinguist3, I've got the .qm, placed into <path_VB..>/nls/ folder, changed locale to ro_RO (on ubuntu 6.10), but still got nothing. The only language I see is English. Any help would be appreciated.

The translation is for the upcoming version of vbox. You should test it from svn (dont know its state)

Cheers!

comment:22 Changed 7 years ago by dmik

Thanks to everyone for his/her contribution! I want to clarify the requirements you must meet in order to let us legally include your translation to the VirtualBox product.

  1. Each of you must explicitly state here that you allow InnoTek to use your translation under the terms of the MIT license. Alternatively, you can fill, sign and send us a copy of the InnoTek Contributor's Agreement (ICA).
  2. Those who haven't already done so, must send an e-mail to info {at} innotek.de that contains the name of the language you are translating to.

To get more details on the above, please study the section Submitting the translation carefully.

NOTE. These steps are a must for ALL translators, even for those whose translation files are already in SVN! If we don't get your explicit permission as described above, we will have to remove your translations from the product. And please don't forget that you must specify your full name in your licensing statement (as well as in the Authors section of the translation file), not a nick name.

comment:23 Changed 7 years ago by dmik

  • Description modified (diff)

comment:24 Changed 7 years ago by lestat

Ok, so on with legalish...

  • My real name is Ciro Mattia Gonano, and my email is <removed>
  • I'm translating VirtualBox in Italian;
  • the actual translation (up to 2006-04-13) is currently available as an attachment to ticket #234
  • I release my translation under the terms of the MIT license.
Last edited 20 months ago by michael (previous) (diff)

comment:25 follow-up: ↓ 27 Changed 7 years ago by alexef

For the legal part :

  • my real name is Alexandru Ioan Eftimie, my email address is <removed>
  • I've translated VirtualBox into Romanian
  • the actual translation (2007-04-16) is available as an attachment to the ticket #234
  • I release my translation under the terms of the MIT license
Last edited 20 months ago by michael (previous) (diff)

comment:26 Changed 7 years ago by Technologov

I have tried to open "VirtualBox_ru.ts", but I was unable to do so.

What should I do or what can go wrong?

igorbounov: What version of Qt Linguist do you use?

I have successfully opened the Innotek's template.

Platform: openSUSE 10.2, Qt Linguist 3.3.7.

-Alexey "Technologov"

comment:27 in reply to: ↑ 25 Changed 7 years ago by jd

Replying to alexef:

For the legal part :

  • my real name is Alexandru Ioan Eftimie, my email address is <removed>
  • I've translated VirtualBox into Romanian
  • the actual translation (2007-04-16) is available as an attachment to the ticket #234
  • I release my translation under the terms of the MIT license

Alex, one tip, you should zip the files. :) Cheers

Last edited 20 months ago by michael (previous) (diff)

comment:28 follow-up: ↓ 113 Changed 7 years ago by jd

  • My real name is Joaquín Duo
  • I'm translating VirtualBox in Spanish;
  • My submitted translation (up to 2007-04-15) is currently available as an attachment to ticket #234
  • I release my translation under the terms of the MIT license.

PD: I hope next time it's a GPL license. :-D

comment:29 Changed 7 years ago by alexef

Uploaded my latest translation, VirtualBox_ro.ts.zip zipped (jd :)), and I think that VirtualBox_ro.ts (165.2 kB) might be removed from this page.

Cheers

comment:30 Changed 7 years ago by dmik

  • Description modified (diff)

comment:31 Changed 7 years ago by dmik

I've added all new languages and synchronized them with the current code base. They will soon appear in the SVN so please be patient and don't send updates until then.

General note to everybody Please look through the table of current translators. Languages that contain columns with the bold text are not legally clean and WILL BE REMOVED from the product before the next release if we don't get the required information from the authors. Bold text in the Authors column means that we don't have the full name of the author and don't have his/her e-mail address. Bold in License status means we don't have a legal permission from the author.

jean-jacques, I've renamed VirtualBox_fr_FR.ts to VirtualBox_fr.ts to have French French for all territories if there is no territory-specific translation (like fr_BE for example). And please don't forget about

lestat, I've done the same to VirtualBox_it_IT for the same reason (there is unlikely to be a separate translation to it_CH).

comment:32 in reply to: ↑ 1 ; follow-up: ↓ 33 Changed 7 years ago by jean-jacques

Replying to dmik: The MyLanguage (fr_TR) translation attached here by Jean-Jacques is published under the terms of the license?.

comment:33 in reply to: ↑ 32 Changed 7 years ago by jean-jacques

Replying to jean-jacques:

Replying to dmik: The French language (fr_FR) translation attached here by Jean-Jacques Sarton <e-mail removed> is published under the terms of the MIT license.

Last edited 20 months ago by michael (previous) (diff)

comment:34 Changed 7 years ago by dmik

  • Description modified (diff)

comment:35 Changed 7 years ago by alexef

My email address is mispelled: lexeftimie instead of alexeftimie
Alex Eftimie

comment:36 Changed 7 years ago by dmik

  • Description modified (diff)

alexef, sorry and thank you, corrected now.

jean-jacques, you are not listening to me for some reason. I asked to not update the translation before the one you have attached here earlier appears in SVN... I will try to merge the latest one from you once more but I cannot guarantee it will be clean (so you will have to carefully check it). And, once again, please zip the .ts file next time before attaching.

All, just in case. Please no translation updates until the current ones are in SVN so that you can download them and use to continue your work.

comment:37 Changed 7 years ago by sandervl73

User reports: The buttons Next, Back, Cancel and Finish have no entry in the ts files.

comment:38 Changed 7 years ago by jean-jacques

The wizard dialog are not OK concerning the internationalization. I have foubd the following which is not included within the ts files: Next, Back, Finish, Cancel, Other/Unknown (OS type combo box), E&xisting (new image file)

comment:39 in reply to: ↑ 1 Changed 7 years ago by jean-jacques

Replying to dmik: I habe attached send, I hope so, a new version of the french translation.

comment:40 Changed 7 years ago by dmik

All translation files are now up-to-date. You should download your translation file from SVN ( here) and continue on that file, not on your local copy you attached here!.

comment:41 follow-ups: ↓ 43 ↓ 58 Changed 7 years ago by dmik

I've found a problem with whatsthis balloons in settings dialogs (shown from the context menu or after clicking on the ? button on the window title bar on Win32). Qt couldn't always properly recognize rich text used for some items and therefore would display HTML tags and would break lines instead of formatting them as desired. I had to resynchronize all language files again so that some items became outdated. You will have to download the files again from SVN, merge with what you've already done and re-translate those unlucky items. Sorry for inconvenienve.

Also, I've decided that VirtualBox will ship translation files for built-in Qt dialogs and other resources (see comment:37) instead of relying that they are installed on the user machine together with the Qt library. There are lots of reasons to do so, the most important are 1) we ship our own Qt build on Win32 and 2) not all languages are present in the set of Qt translation files supplied by Trolltech.

Therefore, you can now find qt_xx_YY.ts files in the nls in  this directory. Part of them are already fully translated, the other part are totally untranslated. Here are the untranslated ones:

  1. qt_es.ts
  2. qt_it.ts
  3. qt_ro.ts
  4. qt_zh_CN.ts
  5. qt_zh_TW.ts

People maintaining the corresponding VirtualBox_*.ts files should translate these qt_*.ts files as well, in order to get their language in built-in Qt dialogs.

comment:42 Changed 7 years ago by Technologov

Great Work !

Few things:

  1. Is there a way 2 developers work on the same translation file ?

What's the best practices for several independent developers working together ? Say, one can start from the beginning and the other from the end, and we combine results somehow (maybe SVN) ?

  1. Documentation translation proposal:

To make the product really translated, the documentation must be translated as well. However now, it's too professional, very-long & complex to be translatable.

One idea to make documentation more translatable, is to devide current Innotek's documentation "User Manual" into 2 parts: "Start-up guide" (for newbies) and "Reference guide" (for advanced users).

This will allow translators to translate just the first guide.

So small team/1-man can translate the start-up guide, so it will be available in 40+ languages shortly (weeks, and cover basic user needs), while the "Reference guide" can only be translated by large teams - which will result in, say, 5-8 languages after a long period of time (many months/1 year).

What do you think ?

-Alexey "Technologov"

comment:43 in reply to: ↑ 41 ; follow-up: ↓ 45 Changed 7 years ago by alexef

Replying to dmik:

Therefore, you can now find qt_xx_YY.ts files in the nls in  this directory. Part of them are already fully translated, the other part are totally untranslated. Here are the untranslated ones:

  1. qt_es.ts
  2. qt_it.ts
  3. qt_ro.ts
  4. qt_zh_CN.ts
  5. qt_zh_TW.ts

People maintaining the corresponding VirtualBox_*.ts files should translate these qt_*.ts files as well, in order to get their language in built-in Qt dialogs.

One question: after modifying VirtualBox_*.ts and qt_*.ts from SVN, where do we put them? Attachments to this ticket? Thank you!

comment:45 in reply to: ↑ 43 ; follow-up: ↓ 46 Changed 7 years ago by dmik

Replying to alexef:

One question: after modifying VirtualBox_*.ts and qt_*.ts from SVN, where do we put them? Attachments to this ticket? Thank you!

Thanks for the update! You should zip everything to VirtualBox_xx_YY.zip next time.

comment:46 in reply to: ↑ 45 Changed 7 years ago by dmik

Replying to dmik:

Thanks for the update! You should zip everything to VirtualBox_xx_YY.zip next time.

The update is in SVN.

comment:47 Changed 7 years ago by akrus

The Russian (ru_RU) translation attached here by Egor Morozov is published under the terms of the MIT license.

comment:48 in reply to: ↑ 1 ; follow-up: ↓ 50 Changed 7 years ago by jean-jacques

Replying to dmik: I have found that the title for network interface tabs (Adapter 0, ..) are not translated.

Furthermore one of the english text dipalayed within the shared folders don't correspond to the text within the ts files:

TS-Text: Edit selected shared folder definition.

Displayed: Edits the selected shared folder definition.

comment:49 Changed 7 years ago by dmik

  • Description modified (diff)

comment:50 in reply to: ↑ 48 Changed 7 years ago by dmik

Replying to jean-jacques:

I have found that the title for network interface tabs (Adapter 0, ..) are not translated.

Thanks! I will fix that on the next update.

Furthermore one of the english text dipalayed within the shared folders don't correspond to the text within the ts files:

TS-Text: Edit selected shared folder definition.

Displayed: Edits the selected shared folder definition.

No, this is not correct. The .ts file in SVN contains a proper string. I will merge it for you but please recheck the translation afterwards.

comment:51 Changed 7 years ago by dmik

  • Description modified (diff)

comment:52 Changed 7 years ago by igorbounov

The Russian (ru_RU) translation here by Igor Gorbounov is published under the terms of the MIT license.

comment:53 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to Russian and French translations are merged to SVN.

comment:54 in reply to: ↑ 1 ; follow-up: ↓ 55 Changed 7 years ago by jean-jacques

Replying to dmik: Attached VirtualBix_fr.ts.zip according to version find within the VirtualBox OSE source from April 13 2006.

Two problems:

The combobox for OS-type containt "Other/unknown". This is not in the VirtualBox_*.ts files.

The main window tab snapshot icons are not very well. The tooptip for the second contain the key stroke (Ctrl+Alt+Maj+D) this can't be found within the ts files.

The 5. icons contain within parenthesis the word Space, This is strange, may be (Space Key) will be better.

comment:55 in reply to: ↑ 54 Changed 7 years ago by dmik

Replying to jean-jacques:

Two problems:

The combobox for OS-type containt "Other/unknown". This is not in the VirtualBox_*.ts files.

This string has nothing to do with GUI -- it is reported by the VBox core. The VBox core translation framework is not yet complete (but in progress).

The main window tab snapshot icons are not very well. The tooptip for the second contain the key stroke (Ctrl+Alt+Maj+D) this can't be found within the ts files.

You've misread the .ts file. All five tool buttons and their shortcurs are there (including the .ts file you've just attached).

The 5. icons contain within parenthesis the word Space, This is strange, may be (Space Key) will be better.

Sorry, I cannot get what you mean.

comment:56 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to Russian, Romanian and French translations are merged to SVN.

igorbounov, there is no need to create multiple attachments of the same language -- you can overwrite the existing one. Also, I couldn't send a reply to your last e-mail, because <mailer daemon e-mail address> told that your work e-mail (igorbounov...) is Unrouteable address.

Last edited 20 months ago by michael (previous) (diff)

comment:58 in reply to: ↑ 41 ; follow-up: ↓ 59 Changed 7 years ago by jd

Replying to dmik:

Therefore, you can now find qt_xx_YY.ts files in the nls in  this directory. Part of them are already fully translated, the other part are totally untranslated. Here are the untranslated ones:

  1. qt_es.ts

I dont get it :)
I downloaded the qt_es.ts (qt 3.3.8) from trolltech and it is translated.
Which is the difference between this two versions?

  1. qt_it.ts
  2. qt_ro.ts
  3. qt_zh_CN.ts
  4. qt_zh_TW.ts

Best Regards, Joa

comment:59 in reply to: ↑ 58 Changed 7 years ago by dmik

Replying to jd:

Replying to dmik:

Therefore, you can now find qt_xx_YY.ts files in the nls in  this directory. Part of them are already fully translated, the other part are totally untranslated. Here are the untranslated ones:

  1. qt_es.ts

I dont get it :)
I downloaded the qt_es.ts (qt 3.3.8) from trolltech and it is translated.
Which is the difference between this two versions?

The difference is that I took these .ts files from Qt 3.3.3, because this is the version we are currently bound to on Win32. So, you can just compare the one from 3.3.8 and the untranslated one from SVN and send me the first one if there are no incompatible changes (you will have to fix them first if there are).

comment:60 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to Russian and French translations are merged to SVN.

Changed 7 years ago by jd

Checked: The 3.3.8 is the same as the 3.3.3

comment:61 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to Russian and Spanish translations are merged to SVN.

comment:62 Changed 7 years ago by toshi3_tanaka

The Japanese language (qt_ja_JP.ts) translation attached here by Toshimitsu Tanaka is published under the terms of the MIT license.

VirtualBox_ja_JP.ts: in progress...

comment:63 Changed 7 years ago by dmik

  • Description modified (diff)

toshi3_tanaka, thank you for your contribution!

Recent Japanese, Spanish and Russian changes are applied.

All language files have been synchronized with the current sources and merged to SVN. There was one important change: "Global Settings" is renamed to "Preferences" everywhere. Your old translations will still work but are marked as untranslated, because the translation will be different for many languages. Please review.

comment:64 Changed 7 years ago by medber

I agree to release my Arabic translation under MIT license.

I'm at ~10%. Sorry for the delay :(

comment:65 Changed 7 years ago by medber

I'm 25%

comment:66 follow-up: ↓ 67 Changed 7 years ago by toshi3_tanaka

at line 2051 in VirtualBox_xx_YY.ts

<source>Failed to discard the snapshot <b>%1</b>of the virtual machine <b>%1</b>.</source>

There are two "%1".

Is this correct?

comment:67 in reply to: ↑ 66 Changed 7 years ago by dmik

Replying to toshi3_tanaka:

at line 2051 in VirtualBox_xx_YY.ts

<source>Failed to discard the snapshot <b>%1</b>of the virtual machine <b>%1</b>.</source>

There are two "%1".

Is this correct?

No, it was not correct. Thank you for noticing! The source and all language files have been corrected and merged to SVN. All translations are kept, so no re-translation is necessary unless your language is Chinese (where I simply don't know what means "snapshot" and what means "machine" -- so please check; items are marked as "unfinished").

Also, I've made one more harmless correction to all translation files because of this (recorded as a Translation hint #4  here):

  1. Don't translate items starting with the # (hash) sign in contexts VBoxGlobalSettingsDlg and VBoxVMSettingsDlg, such as #general, #input and so on. They are responsible for the settings category hyper-link feature on the VM Details page and translating them will break this feature.

Changed 7 years ago by medber

Arabic Translation, 25%

comment:68 Changed 7 years ago by toshi3_tanaka

at line 1620 in VirtualBox_xx_YY.ts

<source><unavailabie></source>

"unavailabie" is not correct.

A correct word is "unavailable".

comment:69 Changed 7 years ago by toshi3_tanaka

at line 2228 and 2232 in VirtualBox_xx_YY.ts

A fatal error has occured during virtual machine execution! An error has occured during virtual machine execution!

Is "occured" correct?

A correct word is "occurred".

comment:70 Changed 7 years ago by toshi3_tanaka

at line 3087 in VirtualBox_xx_YY.ts

you correct their settings by either choosing a differnet interface name or a different adapter attachment type.

"differnet" is not correct.

A correct word is "different".

comment:71 Changed 7 years ago by toshi3_tanaka

at line 2881 - 2936 in VirtualBox_xx_YY.ts

An emtpy string will match any value.

"emtpy" is not correct.

A correct word is "empty".

comment:72 Changed 7 years ago by dmik

  • Description modified (diff)

toshi3_tanaka, thank you a lot for these corrections! You have a hawk eye, please keep going :)

medber and adrian5632, thank you for providing translations! Now please license them properly to let us include your translations to the prodict (details are  here. Medber, this also relates to you because in your previous license statement you didn't mention your full name (it must match the translator name in the .ts file!) and we don't have your e-mail (either put it here in the encrypted form or send to info{at}innotek.de if you want to keep privacy).

All language files have been transparently updated to correct English typos found by toshi3_tanaka, a couple of phrases with corrected English spelling have been marked "untranslated" (to make sure you check them). Arabic and Polish languages have been added to SVN.

comment:73 follow-up: ↓ 74 Changed 7 years ago by toshi3_tanaka

The Japanese language (VirtualBox_ja_JP.ts) translation attached here by Toshimitsu Tanaka is published under the terms of the MIT license.

comment:74 in reply to: ↑ 73 Changed 7 years ago by dmik

Replying to toshi3_tanaka:

The Japanese language (VirtualBox_ja_JP.ts) translation attached here by Toshimitsu Tanaka is published under the terms of the MIT license.

I have a small question: should the language code be ja_JP but not just ja? The difference is simple: the latter (generic) form will be used as a fall-back for ja_XX locales in case if there is no exact ja_XX translation; the former (specific) will only be used for the ja_JP locale. So the actual question is: can your translation be used as a fall-back for Japanese speaking territories other than Japan?

Changed 7 years ago by toshi3_tanaka

rename ja_JP to ja

comment:75 Changed 7 years ago by toshi3_tanaka

OK,I changed "ja_JP" to "ja".

The Japanese language (qt_ja.ts and VirtualBox_ja.ts) translation attached here by Toshimitsu Tanaka is published under the terms of the MIT license.

comment:76 follow-up: ↓ 77 Changed 7 years ago by toshi3_tanaka

I also emptied "country name" in "VirtualBox_ja.ts".

Please delete "qt_ja_JP.ts" from SVN.

comment:77 in reply to: ↑ 76 Changed 7 years ago by dmik

  • Description modified (diff)

Replying to toshi3_tanaka:

I also emptied "country name" in "VirtualBox_ja.ts". Please delete "qt_ja_JP.ts" from SVN.

Done. Japanese is now in SVN.

All, few other English typos have been fixed (no re-translation is necessary, just update your working copies).

comment:78 follow-up: ↓ 79 Changed 7 years ago by adrian5632

My real name is: Adrian Łubik. I'm translating VirtualBox in polish and the license of the translation is GPL

comment:79 in reply to: ↑ 78 Changed 7 years ago by achimha

Replying to adrian5632:

My real name is: Adrian Łubik. I'm translating VirtualBox in polish and the license of the translation is GPL

If you want your translation to be included with VirtualBox, then you have to license it under the MIT license or alternatively sign the innotek Contributor Agreement.

comment:80 Changed 7 years ago by adrian5632

"If you want your translation to be included with VirtualBox, then you have to license it under the MIT license or alternatively sign the innotek Contributor Agreement." OK, as U wish :P Now the translation is MIT licensed :P

Changed 7 years ago by igorbounov

The updated VirtualBox_ru.ts file attached, 100% done. Some typos are corrected.

comment:81 Changed 7 years ago by bluebat

The traditional chinese (zh_TW) translation attached here by OSSII(OSS Integral Institute Co, Ltd.) is published under the terms of the MIT license.

Changed 7 years ago by toshi3_tanaka

typo fix

comment:82 Changed 7 years ago by dmik

  • Description modified (diff)

All latest updates have been incorporated and resynchronized with sources. A few new translatable items has added due to slight UI changes. You can update them now or wait for some more upcoming UI updates.

I've noticed that some recently attached translations were outdated (did not include the latest changes from SVN). PLEASE remember to take a latest SVN copy and merge it with your recent translation before attaching the latter here. Solving conflicts in all translations on my side is a) unsafe because I can read only two languages and b) very time consuming. So, please review the current translations for mistakes (again, by comparing your local copies with current SVN versions).

comment:83 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to Japanese and Polish translations are merged to SVN.

adrian5632, please remove the _PL suffix from file names you attach here, since we decided not to use the country code for Polish (as you may have noticed, files in SVN already end with _pl, not with pl_PL). Not a big problem of course, but will save me a bit of time I spend renaming your files :)

comment:84 Changed 7 years ago by lestat

Italian VirtualBox_it.ts and qt_it.ts updated to 100% Should I remove the "obsolete" strings?

comment:85 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to Russian and Italian translations are merged to SVN.

lestat, yes, as long as you don't want to keep the old phrasing for further reference, you can remove "obsolete" items while translating. Keep in mind that there is no UI for doing that in Qt Designer -- you can manually edit the .ts file and delete all <message> elements that contain <translation type="obsolete"> elements. No need to do it right now because I will remove obsolete translations from all files before the 1.4.0 release.

comment:86 Changed 7 years ago by Xeph

I'm going to translation VirtualBox to korean.

is there any necessarily information about translation except  http://virtualbox.org/wiki/Translating ? if so, comment me thru <e-mail removed>

Last edited 20 months ago by michael (previous) (diff)

comment:87 follow-up: ↓ 117 Changed 7 years ago by dmik

  • Description modified (diff)

Xeph, you are welcome!  http://virtualbox.org/wiki/Translating should describe everything you need to know . If you have questions, feel free to ask here. Please pay special attention to  this section to not forget about licensing your translation when it is done.

By the way, what is the correct language code for Korean?  http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes shows ko, but I see kr in your e-mail.

comment:88 Changed 7 years ago by alexef

Sorry about this mistake I've made, my latest upload was VirtualBox_ro.zip (35.4 kB) - added by alexef on 05/03/07 17:36:09. 100% Up to date, with wrong file name (missing .ts[.zip])) and it seems like it wasn't commited to SVN.

VirtualBox_ro.zip must be removed from this page, I shall update the current translation from SVN and upload it right here.

Thanks

comment:89 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to Chinese/Taiwan and Romanian translations are merged to SVN.

comment:90 follow-up: ↓ 91 Changed 7 years ago by jean-jacques

After downloading the last sources, I have seen that some textes are no more translated. This concern mainly the main menu of the VM.

on the rigth side of the main menue the short cute are english (eg. Host+F).

Within the status bar, the "host key" is printed out as "Rigth Ctrl", for previous version this was correct.

comment:91 in reply to: ↑ 90 Changed 7 years ago by dmik

Replying to jean-jacques:

After downloading the last sources, I have seen that some textes are no more translated. This concern mainly the main menu of the VM.

What texts exactly do you mean?

on the rigth side of the main menue the short cute are english (eg. Host+F).

You must have forgotten. It has always been like that -- Host+<Letter> shortcuts in the VM menu are not translatable in the current version (for technical reasons).

Within the status bar, the "host key" is printed out as "Rigth Ctrl", for previous version this was correct.

I think "Right Ctrl" is more correct than the previous "Control_R" (this is our attempt to workaround broken keysym names in Xlib). Anyway, you will be able to translate these key names now according to typical keyboard caps in your country (for X11 only; in Win32 key names are properly translated by the system).

Please hold on with any translations, language updates are being gathered to.

comment:92 Changed 7 years ago by victor

The Chinese (zh_CN) translation attached here by Victor is published under the terms of the MIT license.

comment:93 Changed 7 years ago by jean-jacques

A new version of the french translation is added, the previous version was not put to the svn !

comment:94 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to Chinese/China and French translations are merged to SVN.

comment:95 in reply to: ↑ 1 Changed 7 years ago by jean-jacques

Some textes are not present into the language files: After creating a VM and while starting it for the first time, a wizard is launched. All textes for the first and following windows are not contained within the *.ts files

comment:96 Changed 7 years ago by dmik

all,

For the upcoming 1.4.0 release, a couple of new UIs have been added and a couple of UIs have been updated. You are welcome to update your translations. All the translation files have been resynchronized with the sources and merged to SVN.

If you want to have your translation updated in 1.4.0, please keep in mind that the release of 1.4.0 is scheduled for the beginning of the next week.

P.S. German and Russian translations will be updated by innotek.

comment:97 Changed 7 years ago by docca

I started the translation process for Brazilian Portuguese (pt_BR) a couple of days ago, currently at about 80%.

I shall finish, test it and hopefully upload it this weekend.

comment:98 Changed 7 years ago by docca

All right, here it goes. The translation for pt_BR is 100% done, and was tested and revised on yesterday's SVN build.

The Brazilian Portuguese (pt_BR) translation attached here by Erico Mendonca is published under the terms of the MIT license.

comment:99 follow-up: ↓ 100 Changed 7 years ago by dmik

  • Description modified (diff)

Thanks to everybody for his/her contribution!

Updates to Romanian, Spanish, French, Japanese are merged to SVN. The Brazilian Portuguese translation has been added to SVN.

lestat, you've attached a too old translation file (dated 13.04.07). Please take a fresh VirtualBox_it.ts from SVN and update it instead.

docca, thank you very much for a complete translation to the new language! BTW, I've changed the language/country name pairs in the @@@ context, I think it's better now.

comment:100 in reply to: ↑ 99 ; follow-up: ↓ 102 Changed 7 years ago by lestat

Replying to dmik:

lestat, you've attached a too old translation file (dated 13.04.07). Please take a fresh VirtualBox_it.ts from SVN and update it instead.

sorry, now it should be ok!

comment:101 Changed 7 years ago by docca

dmik, there are two entries for Brazilian Portuguese in the language table at the beginning of this ticket. Also, "Portuguese" is spelled wrong.

comment:102 in reply to: ↑ 100 ; follow-up: ↓ 104 Changed 7 years ago by dmik

  • Summary changed from I18N progress to \

lestat, the new file is fully correct, thank you.

docca, there are two language/country pairs: "Português (Brasil)" for native speakers and "Portuguese (Brazil)" as an international (English) variant. Which one of them is wrong?

comment:103 Changed 7 years ago by dmik

  • Summary changed from \ to I18N progress

comment:104 in reply to: ↑ 102 Changed 7 years ago by docca

Replying to dmik:

docca, there are two language/country pairs: "Português (Brasil)" for native speakers and "Portuguese (Brazil)" as an international (English) variant. Which one of them is wrong?

Actually I'm talking about the list of translators at the beginning of this ticket :)

There are two entries for pt_BR, one for my translation and one for KhaoticMind's translation. I believe the one for KhaoticMind should be removed, as mine is already completed.

comment:105 Changed 7 years ago by dmik

  • Description modified (diff)

Ah I definitely misread you :) Ok, corrected.

comment:106 Changed 7 years ago by alexef

Congrats for the 1.4.0 release!
I just have uploaded my latest update to the Romanian translation and I'm wondering if it would get into the downloadable 1.4 packages or any update from now on applies only to the next (1.4.2?) version.
Thanks

comment:107 Changed 7 years ago by cromo

There is a misspelling in polish translation. Should be "Odśwież", not "Odświerz".

comment:108 Changed 7 years ago by cromo

Make sure you correct all the occurences of this misspelling, as I noticed at least two.

comment:109 Changed 7 years ago by adrian5632

@cromo Yes, I know and I've corrected it, although I've added some strings. Can U write to me on adrian5632[at]gmail[dot]com?

Version 0, edited 7 years ago by adrian5632 (next)

comment:110 in reply to: ↑ 1 Changed 7 years ago by ozzii

Hi all, I'm going to start translation into Serbian

comment:111 Changed 7 years ago by qzy

Hi there, I'm starting the hungarian translation part.

comment:112 in reply to: ↑ description Changed 7 years ago by yeager

I have started to work on the Swedish translation (language code 'sv').

comment:113 in reply to: ↑ 28 ; follow-up: ↓ 114 Changed 7 years ago by fdr

Replying to jd:

  • My real name is Joaquín Duo
  • I'm translating VirtualBox in Spanish;
  • My submitted translation (up to 2007-04-15) is currently available as an attachment to ticket #234
  • I release my translation under the terms of the MIT license.

PD: I hope next time it's a GPL license. :-D

There is a misspelling. Should be "especificado", not "espeficicado" (at line 1966 in VirtualBox_es.ts).

comment:114 in reply to: ↑ 113 Changed 7 years ago by jd

Replying to fdr:

There is a misspelling. Should be "especificado", not "espeficicado" (at line 1966 in VirtualBox_es.ts).

Thanks for you help! I have changed it on my translation. It will be updated the next time i upload the file. Cheers!

comment:115 follow-up: ↓ 119 Changed 7 years ago by yeager

The Swedish translation is progressing fast and is ready to be committed. It is not 100% complete but I hope to get some time soon to finish it.

The files are located here  http://home.danielnylander.se/translations/virtualbox/

comment:116 in reply to: ↑ description Changed 7 years ago by kangmin

The korean Language Translaiton complet!! I had attached the file right above It contains VirtualBox_ko.qm & qt_ko.qm files Just unzip to nls folder and use it... that's alll

VirtualBox is the great thigs!!

Form korea by Kang Min Choul

comment:117 in reply to: ↑ 87 Changed 7 years ago by peremen

Replying to dmik:

Xeph, you are welcome!  http://virtualbox.org/wiki/Translating should describe everything you need to know . If you have questions, feel free to ask here. Please pay special attention to  this section to not forget about licensing your translation when it is done.

By the way, what is the correct language code for Korean?  http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes shows ko, but I see kr in your e-mail.

I have talked former maintainer Xeph and I will take the maintenance of Korean translation files. A new Korean translated .ts file will go soon.

comment:118 in reply to: ↑ description ; follow-up: ↓ 120 Changed 7 years ago by kangmin

Hi dimk!!

I'm not Xeph, I'm kang min choul and korean ISO code is ko kr it's just a domain name, for my mail account server adress

I'm late for Xeph, but if you want I can send a VirtualBox_ko.tsto you right now ... have a good time! and thaks for share like this great tool

comment:119 in reply to: ↑ 115 Changed 7 years ago by dmik

  • Description modified (diff)

Replying to yeager:

The Swedish translation is progressing fast and is ready to be committed. It is not 100% complete but I hope to get some time soon to finish it.

Yeager, thank you very much for your contribution! The .zip file you attached here looks OK but you haven't licensed your work for us so I cannot include it into the code base. Please do it as described  here. Don't forget that we need your full name and a valid e-mail (you can send it privately if you don't want to publish it).

comment:120 in reply to: ↑ 118 ; follow-up: ↓ 123 Changed 7 years ago by dmik

kangmin, peremen and Xeph, Thank you a lot for your efforts, but could you please coordinate your work? For now, I only have .qm files from kangmin, which is not acceptable because we need the .ts sources. I also know that Xeph started working on the translation several weeks ago and probably made some progress. There is no need to do the same work twice, so please contact each other (you can do it right here) to join your efforts and give us a single translation in the .ts format.

comment:121 Changed 7 years ago by dmik

Updates to Romanian and Polish translations are merged to SVN.

comment:122 Changed 7 years ago by yeager

The Swedish (sv) translation attached here by Daniel Nylander is published under the terms of the MIT license.

comment:123 in reply to: ↑ 120 ; follow-up: ↓ 124 Changed 7 years ago by peremen

Replying to dmik:

kangmin, peremen and Xeph, Thank you a lot for your efforts, but could you please coordinate your work? For now, I only have .qm files from kangmin, which is not acceptable because we need the .ts sources. I also know that Xeph started working on the translation several weeks ago and probably made some progress. There is no need to do the same work twice, so please contact each other (you can do it right here) to join your efforts and give us a single translation in the .ts format.

I met Xeph on IRC a week ago, and he said that he lost all his works by accident, and he wants me to maintain the translation.(I have a log for that time) I made ts file and it is undergoing tests for several Korean users. It will go soon. Btw, is there any method to contact with kangmin except this space?

comment:124 in reply to: ↑ 123 ; follow-up: ↓ 125 Changed 7 years ago by kangmin

peremen, sorry about Xeph's accident

but I did not konw all about this!! there is is only reason, when i visit first time this place there is any tranclated korean souces and I start translate this work and complet. that's it!!

comment:125 in reply to: ↑ 124 Changed 7 years ago by peremen

Replying to kangmin:

peremen, sorry about Xeph's accident

but I did not konw all about this!! there is is only reason, when i visit first time this place there is any tranclated korean souces and I start translate this work and complet. that's it!!

Well, I reviewed through your translation, but I think your translation is immature. Although you claimed that you completed the translation, lots of part of .ts file is remaining as '?', which means untranslated. I will post my .ts file, please compare it with yours.

comment:126 follow-ups: ↓ 127 ↓ 129 Changed 7 years ago by kangmin

oh, I know that! when it open wiht Qt Linguist have a lots of ? marks. but it translated complet. right beacuse I translate with Qt Linguist and text editor[editplus] to easy translate! I don't konw why it remain ? mark. if you see all of contats my .ts file wiht Qt Linguist or editplus, you can see it tranlated complet. It is impotant only to use Qt Linguist? or my .ts file is correct. thanks...

comment:127 in reply to: ↑ 126 ; follow-up: ↓ 128 Changed 7 years ago by kangmin

<img src=" http://www.playnow.co.kr/link/24b8b11fa98a/2007-06-16_083713.jpg" border="0" >

as you can see there is no erro When it apply to Virtualbox. any other place thanks for your attention

comment:128 in reply to: ↑ 127 Changed 7 years ago by peremen

Replying to kangmin:

<img src=" http://www.playnow.co.kr/link/24b8b11fa98a/2007-06-16_083713.jpg" border="0" >

as you can see there is no erro When it apply to Virtualbox. any other place thanks for your attention

Well, I mentioned not only error, but also quality. I reviewed your translation, but quality wasn't so good :( By the way, can you talk me with email? Your English is hard to read, so I want to talk with you in Korean. Mine is <removed>.

Last edited 20 months ago by michael (previous) (diff)

comment:129 in reply to: ↑ 126 ; follow-up: ↓ 130 Changed 7 years ago by docca

Replying to kangmin:

oh, I know that! when it open wiht Qt Linguist have a lots of ? marks. but it translated complet. right beacuse I translate with Qt Linguist and text editor[editplus] to easy translate! I don't konw why it remain ? mark. <snip>

Just a tip: you need to press CTRL+ENTER on each translated string to mark it as translated, or else it will remain with a question mark. Also, try to use Qt Linguist's features to check the assigned key accelerators and punctuation marks. These features help maintain the consistency of your translation quite a bit.

comment:130 in reply to: ↑ 129 Changed 7 years ago by kangmin

Thanks for your help I can finish my job

there's some missing char. like comma...

comment:131 Changed 7 years ago by dmik

  • Description modified (diff)

The Swedish translation is added to SVN.

comment:132 follow-up: ↓ 133 Changed 7 years ago by dmik

Dear kangmin and peremen. Great, now I have two different Korean translations :) To be serious, I don't have any knowledge of Korean at all in order to choose a better one. So, please give me a single version. I suggest you that peremen will take the kangmin's .ts files, check and make necessary corrections when it is essential. And yes, you can now contact each other directly by e-mail, so please continue the Korean translation related discussion in private. Thank you.

comment:133 in reply to: ↑ 132 Changed 7 years ago by peremen

Replying to dmik:

Dear kangmin and peremen. Great, now I have two different Korean translations :) To be serious, I don't have any knowledge of Korean at all in order to choose a better one. So, please give me a single version. I suggest you that peremen will take the kangmin's .ts files, check and make necessary corrections when it is essential. And yes, you can now contact each other directly by e-mail, so please continue the Korean translation related discussion in private. Thank you.

Finally, kangmin said that he will give up and let me to maintain translation. Also I finished Korean translation file, which is my own work. File will go soon.

comment:134 Changed 7 years ago by dmik

  • Description modified (diff)

The Korean translation is added to SVN.

comment:135 Changed 7 years ago by hron84

The Hungarian (ko) translation attached here by George Hron (aka hron84) is published under the terms of the MIT license.

comment:136 Changed 7 years ago by hron84

The Hungarian (hu) translation attached here by George Hron (aka hron84) is published under the terms of the MIT license.

comment:137 Changed 7 years ago by JJK

The Finnish (fi) translation attached here by Jarno Kiuttu is published under the terms of the MIT license.

comment:138 follow-up: ↓ 144 Changed 7 years ago by dmik

  • Description modified (diff)

hron84 and JJK, thank you very much for your work. However, I have a few remarks on your translations.

To both hron84 and JJK: you took too old translation templates, so your translations are slightly outdated -- you will have to download your .ts files directly from SVN once they appear there and re-translate outdated translation items.

To horn84: please use Qt Linguist 3.x if possible -- I'm not completely sure that Qt Linguist 4 generates 100% backward compatible .ts files, so something may theoretically not work. Also, I stripped off the _HU suffix from file names and removed the country name because it seemed to me that Hungarian language is the same everywhere and doesn't vary depending on the country of usage. If you disagree, please object here. Also, the translation file you've attached contains "Garami Gábor" as the author which doesn't match George Hron. I cannot accept your translation until I've got some reasonable explanation.

To JJK: It looks like you used some text editor to translate the .ts file directly instead of Qt Linguist -- that is possible but makes your life harder. And as a result, there are some errors in your translation like incorrect escaping of special HTML characters (e.g. line #116 in VirtualBox_fi.ts) that results into English text being used instead of the tranlsated one for those items. My suggestion is that you start from the beginning: take a fresh copy of VirtualBox_xx_YY.ts, open it in the Qt Designer and copy-paste there all translations you've already made from the old VirtualBox_fi.ts. Taking into account that you've just started your translation this should be the easiest way to fix all those incorrect escaping errors. Agree?

comment:139 follow-up: ↓ 147 Changed 7 years ago by dmik

  • Description modified (diff)

comment:140 Changed 7 years ago by dmik

  • Description modified (diff)

comment:141 follow-up: ↓ 143 Changed 7 years ago by dmik

hron84, I also see a message from qzy dated 06/10/07 18:19:37 here where he/she states he/she has already started to translate. Are you aware of that?

comment:142 Changed 7 years ago by yeager

Swedish is now 100%.

comment:143 in reply to: ↑ 141 ; follow-ups: ↓ 145 ↓ 150 Changed 7 years ago by hron84

Replying to dmik:

hron84, I also see a message from qzy dated 06/10/07 18:19:37 here where he/she states he/she has already started to translate. Are you aware of that?

I saw it, but i'mn't sure, he/she is working on this really. I sent it, but if he/she send a translation sometime, i cancel my translation, and I accept his/her precedence.

comment:144 in reply to: ↑ 138 ; follow-up: ↓ 146 Changed 7 years ago by hron84

Replying to dmik:

hron84 and JJK, thank you very much for your work. However, I have a few remarks on your translations.

To both hron84 and JJK: you took too old translation templates, so your translations are slightly outdated -- you will have to download your .ts files directly from SVN once they appear there and re-translate outdated translation items.

Sorry, i forgotten update the template

To hron84: please use Qt Linguist 3.x if possible -- I'm not completely sure that Qt Linguist 4 generates 100% backward compatible .ts files, so something may theoretically not work.

OK, i don't known this thing, i will import this to Linguist 3.x

Also, I stripped off the _HU suffix from file names and removed the country name because it seemed to me that Hungarian language is the same everywhere and doesn't vary depending on the country of usage. If you disagree, please object here.

It's true. But i choose to use the hu_HU form in two cause:

  • In the world, everybody uses the hu_HU form to describe a hungarian language, such as locales.
  • In the wiki, you wrote the my_MY form, and i followed the description.

Also, the translation file you've attached contains "Garami Gábor" as the author which doesn't match George Hron. I cannot accept your translation until I've got some reasonable explanation.

OK, we are working together, and i forgotten update the header. I'm really sorry, it's my mistake.

Sincerelly: Hron84

comment:145 in reply to: ↑ 143 Changed 7 years ago by dmik

Replying to hron84:

hron84, I also see a message from qzy dated 06/10/07 18:19:37 here where he/she states he/she has already started to translate. Are you aware of that?

I saw it, but i'mn't sure, he/she is working on this really. I sent it, but if he/she send a translation sometime, i cancel my translation, and I accept his/her precedence.

I see. No problem to take your translation if qzy doesn't show up within the next few days.

comment:146 in reply to: ↑ 144 ; follow-up: ↓ 148 Changed 7 years ago by dmik

Replying to hron84:

OK, i don't known this thing, i will import this to Linguist 3.x

Thank you.

Also, I stripped off the _HU suffix from file names and removed the country name because it seemed to me that Hungarian language is the same everywhere and doesn't vary depending on the country of usage. If you disagree, please object here.

It's true. But i choose to use the hu_HU form in two cause:

  • In the world, everybody uses the hu_HU form to describe a hungarian language, such as locales.
  • In the wiki, you wrote the my_MY form, and i followed the description.

Yes, but it's just a general template. Anyway what stands behind using "hu" instead of "hu_HU": VirtualBox_hu.ts is more generic, it will be chosen for (possibly custom) locales like hu_EN, hu_WHATEVER etc. while !Virtualhu_hu_HU will be used only when the locale is hu_HU exactly.

Also, the translation file you've attached contains "Garami Gábor" as the author which doesn't match George Hron. I cannot accept your translation until I've got some reasonable explanation.

OK, we are working together, and i forgotten update the header. I'm really sorry, it's my mistake.

Then, specify both names there (comma separated). And I will also need a license statement from Garami Gábor here as well (in the same way you did it here).

So, I'm waiting for an updated translation in Qt 3.x format from you. Please merge the current SVN version of VirtualBox_xx_YY.ts with your translation after you convert it to Qt 3.x (using some standalone file merge tool) -- it will show you all places you need to correct.

comment:147 in reply to: ↑ 139 Changed 7 years ago by JJK

Replying to dmik:

To JJK: It looks like you used some text editor to translate the .ts file directly instead of Qt Linguist -- that is possible but makes your life harder. And as a result, there are some errors in your translation like incorrect escaping of special HTML characters (e.g. line #116 in VirtualBox_fi.ts) that results into English text being used instead of the tranlsated one for those items. My suggestion is that you start from the beginning: take a fresh copy of VirtualBox_xx_YY.ts, open it in the Qt Designer and copy-paste there all translations you've already made from the old VirtualBox_fi.ts. Taking into account that you've just started your translation this should be the easiest way to fix all those incorrect escaping errors. Agree?

KBabel crash .ts files.

comment:148 in reply to: ↑ 146 Changed 7 years ago by hron84

Replying to dmik:

Replying to hron84:

OK, i don't known this thing, i will import this to Linguist 3.x

Thank you.

Also, I stripped off the _HU suffix from file names and removed the country name because it seemed to me that Hungarian language is the same everywhere and doesn't vary depending on the country of usage. If you disagree, please object here.

It's true. But i choose to use the hu_HU form in two cause:

  • In the world, everybody uses the hu_HU form to describe a hungarian language, such as locales.
  • In the wiki, you wrote the my_MY form, and i followed the description.

Yes, but it's just a general template. Anyway what stands behind using "hu" instead of "hu_HU": VirtualBox_hu.ts is more generic, it will be chosen for (possibly custom) locales like hu_EN, hu_WHATEVER etc. while !Virtualhu_hu_HU will be used only when the locale is hu_HU exactly.

OK

Also, the translation file you've attached contains "Garami Gábor" as the author which doesn't match George Hron. I cannot accept your translation until I've got some reasonable explanation.

OK, we are working together, and i forgotten update the header. I'm really sorry, it's my mistake.

Then, specify both names there (comma separated). And I will also need a license statement from Garami Gábor here as well (in the same way you did it here).

He hasn't a internet connection now, but i think he accept the license, because we are in a group. We read the how-to.

So, I'm waiting for an updated translation in Qt 3.x format from you. Please merge the current SVN version of VirtualBox_xx_YY.ts with your translation after you convert it to Qt 3.x (using some standalone file merge tool) -- it will show you all places you need to correct.

dmik, i have a one question: can you tell me any good merge tool? I don't know which merge tool is a best. And i worry about a version-copatibility too. Thankss

Changed 7 years ago by hron84

Hungarian translation update, Qt 3.x, fixed names, 86% (+2 string), not merged

comment:149 Changed 7 years ago by hron84

I fixed the filenames, but i don't merged yet. I changed the author name to my name, because Garami don't want his name in the released project, because he only reviewed the stuff.

comment:150 in reply to: ↑ 143 ; follow-up: ↓ 154 Changed 7 years ago by qzy

Replying to hron84:

Replying to dmik:

hron84, I also see a message from qzy dated 06/10/07 18:19:37 here where he/she states he/she has already started to translate. Are you aware of that?

I saw it, but i'mn't sure, he/she is working on this really. I sent it, but if he/she send a translation sometime, i cancel my translation, and I accept his/her precedence.

Well, asking me first at least would have made it possible to avoid working line-by-line. Anyway, yes, I've done a part of it and was willing to finish it this weekend. However the only thing that counts is to get a good translation. I'll look at yours and if there's anything I can add, I will.

Regards, Balint

comment:151 Changed 7 years ago by dmik

  • Description modified (diff)

The Hungarian and Finnish translations are added to SVN. Updates to the Swedish translation are merged to SVN.

Well done, JJK and hron84! Please keep in mind that in order to continue/update your translations, you need to download the SVN copies of your translation files from this site and continue on them, not on your local copies you attached here!

hron84, I resynchronized your translation with the current sources before adding it, so you don't have to merge manually which added some new translation items and rendered some old ones 'obsolete' (you will see it in the Qt Linguist). From now on you can use any subversion GUI client as a merge tool (to merge your local changes with the current SVN version of the .ts file before attaching a new version here), but just in case here is a good standalone merge tool:  http://www.guiffy.com.

yeager, I've found that your translation is also not made in the Qt Linguist 3. Accidentally I've run it through the Qt Linguist myself (so it's now correct) but please use only the Qt Linguist 3 application to update the .ts file in the future to make sure it conforms to the format expected by Qt 3.

comment:152 follow-up: ↓ 155 Changed 7 years ago by dmik

  • Description modified (diff)

hron84, please also drop a letter to info/innotek.de with your e-mail address.

comment:153 Changed 7 years ago by dmik

Added  Translation Hint #6:

In general, it's not recommended to translate Ctrl+<latin_letter> shortcuts (for example, Ctrl+S used to open the VM Settings Dialog) because they are intended to be language neutral and should have the same action regardless of the selected UI language. Translate them only if there is a very special reason to do so in your language; otherwise simply leave the original. Note that the action name starting with a different letter or having a different underscored (Alt+<any_letter>) accelerator in your language is not a valid reason to translate the corresponding Ctrl+<latin_letter> shortcut.

So, it is recommended to revert Ctrl+<latin_letter> shortcuts to original values (from VirtualBox_xx_YY.ts) for those who have translated them.

comment:154 in reply to: ↑ 150 Changed 7 years ago by hron84

Okay. Dmik, i think, qzy merge our translation to an one translation.

I have an idea:

qzy: Mark me and you as an author in the right place in the .ts file, if you found any usable translation. If you don't use my work, it'sn't needed.

Replying to qzy:

Replying to hron84:

Replying to dmik:

hron84, I also see a message from qzy dated 06/10/07 18:19:37 here where he/she states he/she has already started to translate. Are you aware of that?

I saw it, but i'mn't sure, he/she is working on this really. I sent it, but if he/she send a translation sometime, i cancel my translation, and I accept his/her precedence.

Well, asking me first at least would have made it possible to avoid working line-by-line. Anyway, yes, I've done a part of it and was willing to finish it this weekend. However the only thing that counts is to get a good translation. I'll look at yours and if there's anything I can add, I will.

Regards, Balint

comment:155 in reply to: ↑ 152 Changed 7 years ago by hron84

Replying to dmik:

hron84, please also drop a letter to info/innotek.de with your e-mail address.

Mail has been sent. it's a GMail address, i hope, it's good (such as from spam aspect)

comment:156 Changed 7 years ago by dmik

  • Description modified (diff)

Changed 7 years ago by JJK

finnish translated 50

comment:157 Changed 7 years ago by ozzii

Serbian translated to ~60%

comment:158 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to the Finnish and French translations are merged to SVN.

comment:159 follow-up: ↓ 161 Changed 7 years ago by Pitel

I'm going to transtale to Czech.

comment:160 Changed 7 years ago by dmik

  • Description modified (diff)

comment:161 in reply to: ↑ 159 Changed 7 years ago by Pitel

Replying to Pitel:

I'm going to transtale to Czech.

My email is <removed> and have currently over 1/3 done.

Last edited 20 months ago by michael (previous) (diff)

comment:162 in reply to: ↑ description ; follow-ups: ↓ 163 ↓ 253 Changed 7 years ago by lxndr

I'll be starting translations from English into Dutch.

comment:163 in reply to: ↑ 162 Changed 7 years ago by lxndr

Replying to lxndr:

I'll be starting translations from English into Dutch.


Just for the record:

Lxndr says: "The Dutch (nl_NL) translation to be attached here by me (Alexander L. de Goeij) is published under the terms of the MIT license and as such may be freely (ab)used by innotek."#

comment:164 Changed 7 years ago by cromo

There is a simple bug in localizing code for "Show Log" menu entry. The code points to a Virtual Disk Manager's "Release" key shortcut, instead of its own.

comment:165 Changed 7 years ago by cromo

Also, I recommend to change the Ctrl+S shortcut to Ctrl-P (more common for Preferences dialogs) and use Ctrl+S to start selected machine.

comment:166 follow-up: ↓ 168 Changed 7 years ago by dmik

  • Description modified (diff)

lxndr, thank you for joining the translation team! Please note that your file should have a _nl suffix, not nl_NL -- unless there are various flavors of Dutch that may not be used one in place of another.

cromo, thanks for your report, but I don't see the problem: "Show Log" and "Release" actions are placed in different top-level windows so their shortcuts cannot interfere with each other. About Ctrl+S vs Ctrl-P: the latter is commonly used for the Print action I'd say (and I prefer to have it reserved for that purpose). I also don't see a big need to assign Ctrl+S to the "Start VM" action because when you want to start a VM, the VM list is normally in focus, where the Enter key will act as a "shortcut".

comment:167 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to the Spanish translation are merged to SVN.

comment:168 in reply to: ↑ 166 Changed 7 years ago by lxndr

Replying to dmik:

lxndr, thank you for joining the translation team! Please note that your file should have a _nl suffix, not nl_NL -- unless there are various flavors of Dutch that may not be used one in place of another.

cromo, thanks for your report, but I don't see the problem: "Show Log" and "Release" actions are placed in different top-level windows so their shortcuts cannot interfere with each other. About Ctrl+S vs Ctrl-P: the latter is commonly used for the Print action I'd say (and I prefer to have it reserved for that purpose). I also don't see a big need to assign Ctrl+S to the "Start VM" action because when you want to start a VM, the VM list is normally in focus, where the Enter key will act as a "shortcut".

Hi dmik my e-mail address you can publish, I used nl_NL since ispell and the like use it like that as well, I can change to _nl if that would better correspond to your needs. A sort of dutch is also spoken in Belgium in which case nl_BE is used but most of the time this division is ommitted. Your call!

See ya

comment:169 Changed 7 years ago by cromo

dmik, I noticed the Enter way of lunching VMs after posting. Anyway it would be nice to put 'Enter' string next to the 'Start' entry in Machine menu, so the user can see which key is used to start the machine. Also, there is no translation string available for "Other/Unknown" Guest OS type.

comment:170 Changed 7 years ago by cromo

The last paragraph at the last page of the New VM wizzard gets cut here. My translation of this paragraph is a bit longer than the original string but is cut quite a bit more, so I guess that english translation is cut, too.

comment:171 Changed 7 years ago by cromo

I just noticed that the Ctrl-Alt-D shortcut that Vbox uses to discard a snapshot interferes with KDE/Gnome, where it is set as a Show/Hide Dekstop shortcut.

comment:172 Changed 7 years ago by dmik

cromo, the last paragraph thing is a known issue (will be fixed soon). The Ctrl-Alt-D shortcut has been already replaced in the SVN tree. Putting Enter to the Start action title is not actually correct, because it's not a true shortcut (and cannot be such) -- it acts only when the VM list is in focus.

comment:173 Changed 7 years ago by dmik

cromo, thank you very much! However, I cannot use your translation right now because I need a confirmation from Adrian Łubik (adrian5632) that he agrees and your translation is a real improvement over his one. Also, I need your full name mentioned in the licensing statement you made above and your e-mail (privately to info/innotek.de if you don't want to publish it here).

comment:174 Changed 7 years ago by cromo

I already tried to contact Adrian before, but he's probably out for his holidays or sth as he didn't reply yet. I'll ask him to comment it here whenever he's back. Regarding the licensing statement: I, Dawid Wrobel (<e-mail removed>) hereby agree for this translation to be used by Innotek GmbH under the terms of MIT license.

Last edited 20 months ago by michael (previous) (diff)

comment:175 Changed 7 years ago by cromo

Still no reply. Is there any other way I can prove that my translation is superior to previous?

comment:176 Changed 7 years ago by dmik

  • Description modified (diff)

Ok, we've been waiting for quite some time now; moreover your translation looks more like a serious update than a complete rewrite to me (changeset:4139), so Adrian should have no reason to complain. I've merged your version to SVN.

P.S. You may want to use pure Latin spelling for your names in the .ts file since there still can be systems that only have ASCII + the national character set (which will make your names hardly readable there).

comment:177 Changed 7 years ago by cromo

Yeah, a serious update is a better description indeed. Regarding the names, the 'ó' sign should be present in any charset regardless its coding, but 'Ł' will only be readable in UTF or ISO8859-2, so I'll change that into 'L' in next update of the translation, which is actually on its way.

Also, I was wondering about if the debug strings should be translated at all. These are only useful for either advanced users or developers, and while the former will understand the 'callee', 'return code' etc. strings, the latter owill struggle with understanding what do these localized strings mean if they were posted to a mailing list or something. Some of such users would probably want to translate them back into english and it would confuse the devs even more. So what I'd do is to use only english for these rarely shown debug strings.

comment:178 Changed 7 years ago by dmik

There is no 'ó' in the ASCII character set (characters 32-127) and I may assure you that there are 8-bit code pages that don't contain it in the upper part (128-255) -- for example, all Russian code pages. Anyway, I don't insist of course, it's just a suggestion.

About the "debug" strings: it's up to you to decide. Your logic makes sense (posting to mailing lists), however it will not be difficult to guess because the format of the error message is always the same. Most translators translate these strings as well.

comment:179 Changed 7 years ago by cromo

OK, I didn't know about such coding pages. Will remove it with next update.

Another suggestion: I think that every translator would appreciate if we were told a week in advance about a planned release.

comment:180 Changed 7 years ago by hron84

I want to ask a question: What is a state of hungarian translation? qzy has sent a final translation? Because he told him, he can be done in a week, when i mailing with him. If not, i will continue translation and i send a finally, but i want a response. What do you want, what i do?

dmik, you don't send mail to me, what a problem? <e-mail removed>

Last edited 20 months ago by michael (previous) (diff)

comment:181 follow-up: ↓ 182 Changed 7 years ago by dmik

hron84, the state of the translation corresponds to what you see at the top -- i.e. the SVN repo contains the last version you attached here. You are free to finish your translation, I got nothing from qzy so far.

comment:182 in reply to: ↑ 181 Changed 7 years ago by hron84

Replying to dmik:

hron84, the state of the translation corresponds to what you see at the top -- i.e. the SVN repo contains the last version you attached here. You are free to finish your translation, I got nothing from qzy so far.

dmik, thanks a reply. OK, then I start finish the translation (i'm in 759/851 state). I merged it with the SVN VirtualBox_xx_YY.ts file. I need circa a week to complete the translation and view over it.

comment:183 Changed 7 years ago by Pitel

Czech translation finished!

The Czech (cs) translation attached here by Jan Kaláb is published under the terms of the MIT license.

comment:184 Changed 7 years ago by dmik

  • Description modified (diff)

The Czech is added to SVN. Thank you very much, Pitel!

Updates to the Italian translation are merged to SVN. lestat, thank you and please don't forget to zip your .ts files.

comment:185 Changed 7 years ago by dmik

Expecting the new release of VirtualBox, all language files have been resynchronized with the current sources and merged to SVN. This gives quite a bit of new strings to translate. The new release is planned next week, so please try to update your translations ASAP. Thank you very much.

P.S. Note that you must download (checkout) a .ts file for your language from SVN and continue your work on it, not on your local copy!

comment:186 Changed 7 years ago by cromo

"<p>You didn't attach a hard disk to the new virtual machine. The machine will not be able to boot unless you attach a hard disk with a guest operating system or some other bootable media to it later using the machine settings dialog or the First Run Wizard.</p><p>Do you want to continue?</p>" This is a new string and I don't think it's correct to say that the machine will not boot without the hard disk attached, as you can also boot from network, cd and floppy. Or am I wrong?

comment:187 Changed 7 years ago by cromo

Also, the "Please note that debugging requires special knowledge and tools, so it is recommended to press <b>OK</b> now." sentence sounds kinda... insulting. Wouldn't it be better if the message said: "However, if you are not going to debug the machine it is recommended to press <b>OK</b> now."?

comment:188 Changed 7 years ago by cromo

"Valid values are integer numbers in range from <tt>0</tt> to <tt>0xFFFF</tt>." This should rather be "Valid values are hexadecimal numbers (...)", shouldn't it?

comment:189 Changed 7 years ago by frank

cromo, Dmitry (our GUI expert) is currently in vacation. He will answer your comments when he is back. My two cents:

  • You are right that the user can boot from other medium even if no harddisk is attachaed, most notably from network. Perhaps the string could be refined but the string also mentions that the user should attach some other bootable medium using the settings dialog or the first run wizard. Setting up a server for network requires some more effort and is therefore not used by beginners.
  • I fully agree to your remark about the debugging message.
  • The values for ports are indeed integer values. The input field will accept decimal values as well. But yes, hexadecimal values are normally used for port numbers and this could be stated in the string.

Thank you for your proposals!

comment:190 Changed 7 years ago by cromo

An usablitity suggestion: Host-M and Host-D key settings for opening up the Machine and Devices menus.

comment:191 Changed 7 years ago by dmik

cromo, thank you for suggestions but:

  • The New VM Wizard always sets the primary master hard disk as a boot device, therefore if you don't attach a hard disk in this wizard then the machine won't boot unless you go to the settings and manually select a different boot device.
  • 95% of users a) use the release version of the product (where the built-in debugging tool is not available) and b) really don't know how to debug a VM. I don't think that not knowing something (especially if you don't need/want it to know, as many users do) may be called "insulting".
  • Frank already answered: both decimal and hexadecimal integers are accepted, and even octal AFAIR. However, there is not much space in the instant help box so we cannot put every single detail in there.

About shortcuts: good idea but you can already do it: press Host-Home to activate the menu, then press the underscored letter (M or D in this case). Probably the information about Host-Home should appear in the message box at first run to let users know about this feature.

comment:192 Changed 7 years ago by cromo

dmik and (for some of the points) frank:

  • I was actually thinking that the message is wrong because it is possibile to choose the boot device by pressing the F11 key after booting up the machine no matter how the boot order is set up in VM's settings. But in general you're right, if we don't tell the average user that he didn't attach any drive, most of the time he will only get confused about hte the machine not booting.
  • I still think it's rather unpolite and not assertive to say that "Hey, I am pretty sure you don't know how to do it because you'd need a lot of knowledge which most likely you don't have, so you better press that OK button and don't even try to mess around with the machine anymore'. It's up to you, I just have a feeling that majority of the users reading such message will feel a bit awkward. But it could be just me ;-)
  • I asked because for the other similar help box message regarding USB vendor ID filter that only accepts hexadecimal values. However I had no idea that the serial port address field can also accept decimals and even octals. But why would one need to use theses for the serial port address which is always represented with hexadecimal value? Or did I forget about something? Anyway, it doesn't really matter.

Regarding the shortcuts - indeed, I for one had no idea about that Host-Home key combination.

comment:193 Changed 7 years ago by dmik

chromo, the F11 key is for advanced users who will normally ignore/suppress warning messages like that (targeted at new users in the first place). Again: when the Guru Meditation condition happens, there is nothing a regular user can do if he selects Ignore instead of OK -- this is what this message is about. USB fields are different: you can only use hex there and w/o the 0x prefix, which needs to be mentioned.

comment:194 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to the Korean, Czech, Italian, Polish, Brazilian Portuguese and Swedish translations are merged to SVN (will appear within half an hour or so). Thank you guys! We're still waiting for other translators to update their languages.

comment:195 Changed 7 years ago by toshi3_tanaka

Japanese translation file update.

comment:196 Changed 7 years ago by dmik

Updates to the French and Japanese translations are merged to SVN (will appear within some time).

comment:197 Changed 7 years ago by cromo

The "Cancel" key shortcut in Existing image dialog run from New Machine Wizzard is not working.

Changed 7 years ago by khiav

86 %

Changed 7 years ago by khiav

92 %

comment:198 in reply to: ↑ description Changed 7 years ago by helix84

Starting work on Slovak (sk) translation.

Changed 7 years ago by khiav

Fix error

comment:199 Changed 7 years ago by piarres

Starting working in Basque (eu) translation if any has start yet (first very early translation added)

comment:200 Changed 7 years ago by frank

The next release of VirtualBox 1.5.2 will be a bugfix release only. It is expected within a very few days. Updated translations for 1.5.0 can still be considered.

Changed 7 years ago by piarres

Baque translation update

comment:201 in reply to: ↑ description Changed 7 years ago by Pau

Hi, from www.somgnu.cat we begin catalan translation. If someone needs contact us: info+somgnu.cat or  http://forum.somgnu.cat

comment:202 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to the Romanian and Korean translations are merged to SVN (will appear within some time). Thank you guys!

cromo -- thanks, you are right, but since accelerators will be removed from Cancel keys in all dialogs (since Esc is always a hard-coded shortcut for them), it's no more an issue.

khiav, thank you very much for your help. However, we cannot accept your translation right now because a) there is already a translation by OSS Integral Institute Co, Ltd. in the repository, and your translation doesn't look like an update of this translation. Please contact OSSII and collaborate with them. I can give you their e-mail if you give me yours or contact me at dmik/innotek.de. b) you didn't license your work properly (see below).

helix84, piarres, Pau, thank you for joining the team of translators, but bear in mind that we cannot use your translations (in particular, include them in the release builds) until they are properly licensed. See  http://www.virtualbox.org/wiki/Translating for details.

Piarres, your translation is temporarily added to SVN (for your convenience), but once again, it's illegal to use it w/o your public permission. I also ask you to use the Qt Linguist tool for translating instead of a third-party XML editor (I've already explained why somewhere above or on the Translating page). I've corrected some issues manually this time, so please use the version from our SVN ( http://www.virtualbox.org/svn/vbox/trunk/src/VBox/Frontends/VirtualBox/nls/VirtualBox_eu.ts) for further translation.

comment:203 Changed 7 years ago by dmik

All, please note that the e-mail notification about ticket changes is currently broken (the fix is in progress), so please check this ticket on the web frequently.

comment:204 Changed 7 years ago by dmik

  • Description modified (diff)

Changed 7 years ago by helix84

Slovak (sk) translation 65% done

comment:205 Changed 7 years ago by helix84

As I've been idle with Slovak translation for a week now, I'll better send it in. It's 65% done. qt_sk.ts also corrected.

The Slovak (sk) translation attached here by helix84 is published under the terms of the  MIT license.

comment:206 Changed 7 years ago by piarres

The Basque (eu) translation attached here by Piarres is published under the terms of the MIT license.

comment:207 in reply to: ↑ description Changed 7 years ago by Pau

I think in two weeks the catalan translation translation will be finished. Of course:

The Catalan (ca) translation attached will be published under the terms of the  MIT license.

comment:208 Changed 7 years ago by dmik

  • Description modified (diff)

The Slovak transkation is added to SVN. helix84, thank you. However, please relicense by mentioning your full name since it's the one shown in the Author field of the translation file. Otherwise it's hard to associate the person who makes the license statement with the one who is the author of the translation. Also, please use Qt Linguist version 3 instead of version 4, since the latter generates excessive content that the former may not understand.

piarres and Pau, same to both of you. Please relicense by mentioning your full name. And also give use your e-mail address (here or privately to dmik/innotek.de).

comment:209 Changed 7 years ago by dmik

I've corrected *all* language files so that the Cancel push button doesn't have an associated accelerator any more -- pressing ESC will act like a Cancel action in any dialog anyway. You should pick a fresh version of the .ts file for your language from SVN. Note that you don't need to retranslate the text for the Cancel button (but you are advised to check this button to make sure I didn't break anything).

comment:210 Changed 7 years ago by dmik

  • Description modified (diff)

comment:211 Changed 7 years ago by piarres

The Basque (eu) translation attached here by Piarres Beobide <e-mail removed> is published under the terms of the MIT license.

Last edited 20 months ago by michael (previous) (diff)

comment:212 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to the Polish translation are merged to SVN. The Basque translation is now approved and will appear in the next release.

Changed 7 years ago by peremen

A little, but serious error was found. Please update Korean translation asap.

comment:213 Changed 7 years ago by dmik

Updates to the Korean translation are merged to SVN. peremen, please note that I removed the Alt+C shortcut from all Cancel buttons since ESC always acts like a shortcut for the Cancel action. If you disagree, please argument here.

comment:214 Changed 7 years ago by dmik

victor, thank you for the update, but could you please attach a source .ts file instead of the compiled .qm file? We can't accept binary files -- there is data loss when they are compressed (by default).

comment:215 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to the Chinese translation are merged to SVN. victor, thank you for finally providing a 100% translation and please note too that I removed the Alt+C shortcut from all Cancel buttons since ESC always acts like a shortcut for the Cancel action.

comment:216 Changed 7 years ago by marcelocoelho

I've started doing the translation to Portuguese of Portugal.

comment:217 Changed 7 years ago by dmik

  • Description modified (diff)

Expecting the new release 1.5.2 of VirtualBox, all language files have been resynchronized with the current sources and merged to SVN.

Here is the brief list of changes in the .ts files (not really much):

  • new VBox Registration dialog
  • a few new key cap names
  • a few minor fixes

The new release is planned within a week, so please try to update your translations ASAP. Thank you very much.

Note that you must download (checkout) a .ts file for your language from SVN and continue your work on it, not on your local copy!

comment:218 Changed 7 years ago by yeager

Swedish translation is now updated to 1.5.2.

comment:219 Changed 7 years ago by peremen

As updating files deletes the previous description, I will leave the comment that Korean translation file is(and will be) released in MIT license.

comment:220 Changed 7 years ago by docca

Brazilian Portuguese (pt_BR) translation has been updated to 1.5.2.

comment:221 Changed 7 years ago by victor

Hi,dmik. It seems that the string 'Make Permanent' which should be translated is missed in the language file.

This string is located in the shared folder dialog.

comment:222 follow-up: ↓ 223 Changed 7 years ago by dmik

victor, thank you very much for this "last minute" observation! I have updated all translation files in the SVN so that they include this change now.

All who already attached here the newest 1.5.2 translations. I didn't process and merge your files to the SVN yet! You need to perform a simple patch to your existing translation files (see below) and reattach them again. Sorry for inconvenience, but it will be the fastest route.

The below also applies to those who already checked out .ts files earlier, before changeset:5243, and already started to translate them. In order to add the missing item to your existing .ts file, please do the following:

  1. Open the .ts file in a simple text editor.
  2. Search for "<name>VBoxAddSFDialog</name>" to find the proper <context> element.
  3. Add the following to the end of this context (insert the given text just before the closing </context> tag of the VBoxAddSFDialog context):
        <message>
            <source>&amp;Make Permanent</source>
            <translation type="unfinished"></translation>
        </message>
    
  4. Save the changes.
  5. Open the .ts file in Qt Designer and translate the newly inserted item.
  6. (Re-)attach the .ts file here.
  7. That's all.

peremen, you are right about killing the attachment description, but please repeat your licensing statement in the ticket comment once more -- and this time mention your full name please, in the same form it is specified in the .ts file. It's a formality, but we need it. Thank you!

comment:223 in reply to: ↑ 222 Changed 7 years ago by hron84

Replying to dmik: Dear Dimitry!

I will update my translation to up-to-date with SVN, but please take me a time. I doing exams, and I don't have any time. Very thanx.

Sincerelly: hron84

Changed 7 years ago by peremen

comment:224 Changed 7 years ago by peremen

The Korean translation file, Made by Park Shinjo (peremen) is(and will be) released in MIT license.

comment:225 Changed 7 years ago by toshi3_tanaka

Update Japanese translation file. (for 1.5.2 and patch)

comment:226 Changed 7 years ago by docca

Alright, I have attached the re-re-updated translation with the "Make Permanent" change for Brazilian Portuguese :) I also tweaked a couple of messages based on some feedback I received.

comment:227 Changed 7 years ago by victor

Hi,dmik. It seems that the following two strings were missed also.

'restoring the virtual machine' 'saving the execution state of the virtual machine'

Changed 7 years ago by Pitel

1.5.2 patched

comment:228 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to the Czech, French, Japanese, Korean, Portuguese (Brazil), Romanian and Swedish translation are merged to SVN. Thank you guys, that was fast! :)

victor, what you mention in comment:227 is correct, however it's not GUI, it's the VirtualBox core for which the translation framework isn't fully functioning yet. Once it's done, we will inform all translators.

Changed 7 years ago by JJK

Update translate

Changed 7 years ago by bluebat

Changed 7 years ago by bluebat

comment:229 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to the Finnish and Traditional Chinese are merged to SVN. Thank you JJK and bluebat.

Changed 7 years ago by marcelocoelho

New translation

comment:230 Changed 7 years ago by marcelocoelho

Portuguese of Portugal has been added (hopefully in time to be in 1.5.2). Thank you docca/Erico Mendonca for having done the Portuguese of Brasil translation!

This translation, attached here by Marcelo Coelho, is published under the terms of the MIT license.

comment:231 Changed 7 years ago by helix84

Any existing or future Slovak (sk) translation attached here by Ivan Masár is published under the terms of the MIT license.

comment:232 Changed 7 years ago by dmik

  • Description modified (diff)

The new Portuguese (Portugal) translation has been added to SVN.

marcelocoelho, thank you, good work!

The Portuguese (Portugal) and Slovak translations were approved (more than 50% done) and will appear in the next release.

Changed 7 years ago by lestat

Updated for 1.5.2

Changed 7 years ago by hron84

Updated Hungarian translation. Some typo fixed

comment:233 Changed 7 years ago by dmik

  • Description modified (diff)

Updates to the Italian and Hungarian translations are merged to SVN. Thank you lestat and hron84.

comment:234 Changed 6 years ago by ozzii

The Serbian (_sr) translation attached here by me (Ozzii) is published under the terms of the MIT license.

Changed 6 years ago by peremen

Slight 1.5.2 translation update

comment:235 Changed 6 years ago by dmik

  • Description modified (diff)

The new Serbian translation has been added to SVN (no qt_sr.ts yet). Updates to the Korean translation are merged to SVN.

ozzii, thank you very much! Though you didn't provide the translation file for built-in Qt strings (qt_sr.ts). Please do it, otherwise we won't be able to include your translation into the release. Also, I assume that "ozzi" is your full name. If it's not, you will have to change it both in the .ts file and in your licensing statement you posted in comment:234.

comment:236 Changed 6 years ago by dmik

  • Description modified (diff)

comment:237 in reply to: ↑ description ; follow-up: ↓ 238 Changed 6 years ago by david_yacobus

Anybody can share me the QT Linguist 3? Cos I cant access the download page. All i can download is the qt-win-opensource-4.3.2-mingw.

Cant I just translate the QT files directly by changing the unfinished text?

<message>

<source>Duplicate port path is entered </source> <translation type="unfinished"></translation>

</message> <message>

<source>%1 on the &lt;b&gt;%2&lt;/b&gt; page.</source> <translation type="unfinished"></translation>

</message> <message>

<source>Port %1</source> <comment>serial ports</comment> <translation type="unfinished"></translation>

</message>

comment:238 in reply to: ↑ 237 Changed 6 years ago by dmik

Replying to david_yacobus:

Anybody can share me the QT Linguist 3? Cos I cant access the download page. All i can download is the qt-win-opensource-4.3.2-mingw.

I believe I saw a separate free distribution of Qt Linguist for Win32. Let me check. Alternatively, you can install one of the popular Linux distributions (inside a VirtualBox VM for example) where you will find an installable package of Qt Linguist.

Cant I just translate the QT files directly by changing the unfinished text?

It's not recommended because you may accidentally break the syntax and your translation won't work properly.

comment:239 Changed 6 years ago by dmik

  • Description modified (diff)

comment:240 Changed 6 years ago by ozzii

The Serbian (<_sr>) translation attached here by Aleksandar Milicevic is published under the terms of the MIT license.

comment:241 follow-up: ↓ 242 Changed 6 years ago by yeager

I noticed that the VirtualBox.desktop doesn't include any translations. Please add these strings (for Swedish) to the file

Comment[sv]=Kör flera virtuella system på en enda värddator

comment:242 in reply to: ↑ 241 Changed 6 years ago by michael

Replying to yeager:

I noticed that the VirtualBox.desktop doesn't include any translations. Please add these strings (for Swedish) to the file

Comment[sv]=Kör flera virtuella system på en enda värddator

Done in SVN.

comment:243 follow-up: ↓ 249 Changed 6 years ago by dmik

  • Description modified (diff)

Updates to the French, Spanish and Serbian translations are merged to SVN. The Serbian translation is now approved.

jean-jacques, when you want to separate ! and ? from the preceding word, please use the &amp;nbsp; seqennce instead of the raw space char when it takes place in RichText items (i.e. items that are enclosed with <p>, <qt> and so on). This is necessary to make sure the ! or ? char doesn't get moved alone to the next line when the text is rewrapped after changing the container size. Note that in simple items (like Dialog and UI element titles) you must use the raw space char because HTML markup isn't understood there.

ozzii, please consider to write your name in Latin in the Comma-separated list of translators field because some systems may not have fonts with Cyrillic and your name will be completely unreadable in this case.

jd, please note that your translation had some syntax errors which I corrected (one translatable item was missing, a few others contained garbage in the <translation> field). Please compare your last attached .ts file with the current SVN version to see what has changed.

comment:244 follow-up: ↓ 245 Changed 6 years ago by peremen

As yeager mentioned, I want to add Korean translation of .desktop file:

Comment[ko]=가상 머신

comment:245 in reply to: ↑ 244 Changed 6 years ago by michael

Replying to peremen:

As yeager mentioned, I want to add Korean translation of .desktop file:

Comment[ko]=가상 머신

Done.

comment:246 in reply to: ↑ description ; follow-up: ↓ 247 Changed 6 years ago by david_yacobus

to dmik: my email is: <removed>

Almost finish the translation for Indonesian but want to test them first... Want to ask, how to convert the *.ts into *.qm?

Last edited 20 months ago by michael (previous) (diff)

comment:247 in reply to: ↑ 246 Changed 6 years ago by dmik

  • Description modified (diff)

Replying to david_yacobus:

Almost finish the translation for Indonesian but want to test them first... Want to ask, how to convert the *.ts into *.qm?

Are you sure you have read  http://www.virtualbox.org/wiki/Translating? Anyway, you need the QLinguist tool to do this. If you are not on Linux (where this tool is usually available in your distribution's package pool) then you will have to create a Linux VM and install the QLinguist package there.

comment:248 Changed 6 years ago by Pau

Hi, catalan translation is being tested. In a few days we will attach it here. Thanks! (autors: Pau Iranzo and Vicent Fornés).

comment:249 in reply to: ↑ 243 Changed 6 years ago by jd

Replying to dmik:

jd, please note that your translation had some syntax errors which I corrected (one translatable item was missing, a few others contained garbage in the <translation> field). Please compare your last attached .ts file with the current SVN version to see what has changed.

Sorry I have missed this message. I will check it. I think the last file i sent has this error

Cheers!

comment:250 follow-up: ↓ 251 Changed 6 years ago by dmik

  • Description modified (diff)

The Catalan translation is addwd to SVN and approved. Updates to French and Spanish translations are merged to SVN.

Pau, thank you very much for the translation! Everything seems to be OK except that I noticed that you didn't translate the main text of the registration dialog. Please feel free to update your work with this translation once you've got time. But if you want to have it appear in 1.5.4, then please hurry up.

comment:251 in reply to: ↑ 250 Changed 6 years ago by david_yacobus

When will 1.5.4 scheduled to be released? My translation should be finished on 3rd December,still need some repairs.

comment:252 Changed 6 years ago by dmik

  • Description modified (diff)

david_yacobus, unfortunately it isn't exactly known (we are still testing some stuff and it may take a day or a week, depending on the results).

Pau, thank you! Updated in SVN.

Changed 6 years ago by lxndr

First version dutch translation 20% done (v0.1)

comment:253 in reply to: ↑ 162 Changed 6 years ago by lxndr

Replying to lxndr:

I'll be starting translations from English into Dutch.

First version (v0.1) uploaded as attachment, 20% done, after some time of absence :-) Contains partially done qt and vbox file. My e-mail may be added to the ticket: <removed>

Last edited 20 months ago by michael (previous) (diff)

Changed 6 years ago by cartman

Initial Turkish translation by Serdar Soytetir of Pardus Linux, contributed under MIT license.

comment:254 Changed 6 years ago by cartman

Turkish translation by Serdar Soytetir (<removed>) of Pardus Linux, license is MIT.

Last edited 20 months ago by michael (previous) (diff)

Changed 6 years ago by cromo

Update the translation for Virtualbox 1.5.2+

comment:255 Changed 6 years ago by dmik

  • Description modified (diff)

Updates to Spanish and Polish translations are merged to SVN.

The Dutch translation is added to SVN, but not yet approved (must reach the 50% barrier). lxndr, thank you very much for your initial contribution! Please note that I've changed the language code from nl_NL to just nl (and thus removed the country name from the .ts file) because we came to a conclusion that the differences between nl_NL and e.g. nl_BE would be minimal or no at all in the context of VirtualBox and it's quite acceptable to use the same translation for all nl_* locales.

cartman, thanks for your interest. However, you didn't provide a translated version of built-in Qt library strings (qt_tr.ts) so we cannot accept your VirtualBox_tr.ts so far. Please prepare qt_tr.ts and please attach them as normal files zipped into VirtualBox_tr.zip next time.

david_yacobus, the same requirement (qt_id.ts) is applied to you too. When I get this file, I will put both to the SVN. Also, you still have not licensed your translation. Please do it as described in  http://www.virtualbox.org/wiki/Translating.

Changed 6 years ago by serdar

Initial VirtualBox_tr.ts and qt_tr.ts Turkish translation.

comment:256 Changed 6 years ago by serdar

Here is my Turkish translations (qt_tr.ts and VirtualBox_tr.ts), I have contributed under MIT license. Serdar Soytetir Pardus Linux Dev.

comment:257 Changed 6 years ago by dmik

  • Description modified (diff)

The Turkish translation is added to SVN and approved. serdar, thank you very much!

comment:258 follow-up: ↓ 259 Changed 6 years ago by Pau

Hi, new version of virtualbox has been released, but catalan language isn't in the list of languages. There was any problem?. Thanks!

comment:259 in reply to: ↑ 258 Changed 6 years ago by sandervl73

Replying to Pau:

Hi, new version of virtualbox has been released, but catalan language isn't in the list of languages. There was any problem?. Thanks!

Several people here are on vacation, so there was no time to integrate your changes back into the 1.5 tree. Sorry about that, but we'll do so for the next release.

comment:260 Changed 6 years ago by cromo

dmik, it seems that my update for 1.5.4 didn't make it into the release? Any reason for this or is this by mistake?

comment:261 Changed 6 years ago by dmik

  • Description modified (diff)

The Indonesian translation is added to SVN and approved. david_yacobus, thank you very much for your contribution!

Updates to Catalan and French are merged to SVN.

cromo, see comment:259. Will be done in the next release.

comment:262 Changed 6 years ago by dmik

  • Description modified (diff)

Changed 6 years ago by TJ

patch to Finnish translations, SVN version

comment:263 Changed 6 years ago by TJ

I attached a patch to the current Finnish translations, making the language more proper Finnish etc. Earlier sent to vbox-dev mailing list, from where I got pointed to here. The translation patch is against the current SVN version and I license my changes for it under the MIT license ( http://www.virtualbox.org/wiki/MIT%20license). Also the previous Finnish translation so far licensed under MIT license (comment:137).

comment:264 Changed 6 years ago by dmik

  • Description modified (diff)

Applied Finnish translation patches. TJ, thank you!

comment:265 follow-up: ↓ 266 Changed 6 years ago by peremen

I suggest to create page for translators instead of keep using this ticket. It is hard to track the comment, I could miss some important notices. Also, all the messages, like new translation, translation update, notices are mixed, so it is too hard to separate them. Because this ticket will grow bigger and bigger, I think this is the time to create several pages for translators.

comment:266 in reply to: ↑ 265 Changed 6 years ago by dmik

Replying to peremen: It's hard to track because e-mail notifications are still broken, not because of the number of comments. But yes, the latter will eventually make loading of this page really slow :) Trac sometimes is just a disaster (doesn't support e-mail management, doesn't support paging for ticket comments). Maybe I will create a dedicated thread on  http://forums.virtualbox.org.

comment:267 Changed 6 years ago by frank

Please have a look at  http://forums.virtualbox.org/viewtopic.php?t=4349, the user there writes about a typo in the french translation.

comment:268 Changed 6 years ago by dmik

Updates to the French translation are merged to SVN.

comment:269 Changed 6 years ago by frank

You might have noted that we released VirtualBox 1.5.6 yesterday. Unfortunately, this release does not contain any i18n updates posted here. We apologize for that. The reason is that not all GUI changes were backported from the trunk to the 1.5 branch resulting in different i18n strings. We will notify you when we are about to release the next major version, VirtualBox 1.6, so you will have time to complete the translations. Thank you for your understanding.

comment:270 Changed 6 years ago by frank

As we had to update all our packages due to a last-minute regression we backported some of the i18n strings from SVN trunk to 1.5. You might want to update your package from our website if you already downloaded a package during the first hours after the release of 1.5.6.

comment:271 Changed 6 years ago by peremen

Although VirtualBox 1.5.6 has been released, there are several untranslated strings remaining. I checked SVN ( http://virtualbox.org/svn/vbox/trunk/src/VBox/Frontends/VirtualBox/nls/) yesterday night, however, the ts-files doesn't reflect current GUI status. When it will be fixed?

comment:272 Changed 6 years ago by frank

I'm not sure if you read the last comments of this report. As I already stated we did not update all of the i18n strings as there was just not enough time for this. Keep in mind that 1.5.6 is part of a branch while the i18n files posted here are usually define i18n strings for the trunk version. The next release will be 1.6 and we will give the translators time to update their respective i18n files.

comment:273 Changed 6 years ago by david_yacobus

I'm a little bit confused, for the next release of VBox, is there going to be a major changes on the UI? How to update the language? Should we start from scratch or is there any files to download so that we can "continue" previous translation?

Changed 6 years ago by mmodem

Portuguese translations with speling errors fixed, brasilian strings updated into portuguese, context incorrections updated, and severall other erros fixed

comment:274 Changed 6 years ago by dmik

Updates to the Spanish translation are merged to SVN.

david_yacobus, the next major release (1.6) is planned soon (2 weeks or so). I will specifically announce (here and by e-mail) when all NLS files are updated for 1.6 and ready for translation.

mmodem, thanks a lot for your contribution, but you still haven't licensed your work so we cannot use it. Please do it ASAP otherwise your changes will not go to the updated 1.6 NLS files.

comment:275 Changed 6 years ago by mmodem

'I release my translation under the terms of the MIT license'

comment:276 Changed 6 years ago by dmik

  • Description modified (diff)

Changes to the Portuguese translation are merged to SVN. The translation suffix was changed from from _pt_PT to _pt (to apply to all Portuguese speaking countries besides Brasil).

comment:277 Changed 6 years ago by dmik

1.6 NLS Ready To Translate'''

All language files (.ts) have been synchronized with the current source code in preparation to the 1.6 release and available through the public SVN.

Please update the translations as soon as possible -- the release is in about one week and a half. The exact 1.6 NLS deadline will be announced later.

comment:278 Changed 6 years ago by frank

Please wait, the internal SVN has still to be synchronized to the public SVN server which should occur in some hours!

comment:279 Changed 6 years ago by dmik

BTW, to everyone who doesn't get automatic notifications about new comments to this ticket. Please log in to www.virtualbox.org using your name, then go to  http://www.virtualbox.org/settings and set a preferred e-mail address there and you will start getting them.

comment:280 Changed 6 years ago by dmik

1.6 NLS Ready to Translate, Fninally

The resynchronized NLS files are available in the public SVN now. Please make sure that you should only take and update .ts files from this directory:

 http://virtualbox.org/svn/vbox/trunk/src/VBox/Frontends/VirtualBox/nls/

Don't touch .ts files from the VirtualBox4 directory, they are not ready yet.

comment:281 Changed 6 years ago by docca

Ok, I'm halfway through updating the pt_BR translation, should post the files soon.

Changed 6 years ago by TJ

VirtualBox 1.6 Finnish translation update

comment:282 Changed 6 years ago by TJ

Hi, thanks for the URL. Attached Finnish (fi) translations updated for 1.6. My previous commit at comment:263. As before, I license my changes under the MIT license ( http://www.virtualbox.org/wiki/MIT%20license).

Please apply to whatever trunk/branches you have, the translations have many rather nice fixes and quite a few additional translations, even though the translation is still not complete.

comment:283 follow-up: ↓ 286 Changed 6 years ago by docca

There's a typo in the following English phrase for VBoxVMSettingsDlg: "When checked, enables the virtual USB EHCI controller of this machine. The USB ECHI controller provides USB 2.0 support."

It should read "EHCI".

Changed 6 years ago by alexef

Romanian Translation syncronised for the 1.6 release

comment:284 Changed 6 years ago by docca

There you go. Brazilian Portuguese translation updated for version 1.6.

comment:285 follow-up: ↓ 289 Changed 6 years ago by docca

In an unrelated question, something I get asked often: will the manual ever be released for translation as well?

comment:286 in reply to: ↑ 283 Changed 6 years ago by dmik

Replying to docca:

There's a typo in the following English phrase for VBoxVMSettingsDlg: "When checked, enables the virtual USB EHCI controller of this machine. The USB ECHI controller provides USB 2.0 support."

It should read "EHCI".

Thank you very much for noticing. We will fix this typo in the English source for all translations ourselves, you don't have to worry. Just make sure the translated string is correct.

Feel free to report other errors and typos as you find them.

comment:287 follow-up: ↓ 288 Changed 6 years ago by mmodem

What are those files in vbox/src/VBox/Frontends/VirtualBox4/nls

Are these files also to keep updated?

comment:288 in reply to: ↑ 287 Changed 6 years ago by dmik

Replying to mmodem:

What are those files in vbox/src/VBox/Frontends/VirtualBox4/nls Are these files also to keep updated?

Please read comment:280. Thank you!

comment:289 in reply to: ↑ 285 Changed 6 years ago by dmik

Replying to docca:

In an unrelated question, something I get asked often: will the manual ever be released for translation as well?

Not currently possible due to licensing issues. We are working on that.

Changed 6 years ago by peremen

Translation update for 1.6 release.

comment:290 Changed 6 years ago by dmik

  • Description modified (diff)

1.6 updates to the Finnish, Romanian, Portuguese (Brazil), Catalan, Japanese, Serbian, Italian, Portuguese, Korean, Swedish and French translations are merged to SVN. Thank you everyone!

Please remember that if you want to continue your translation or fix a typo, you must take the .ts files from here again  http://virtualbox.org/svn/vbox/trunk/src/VBox/Frontends/VirtualBox/nls/ (or use svn up if you use svn), not the files you attached here.

yeager, please use Qt Linguist 3 for translating, not a regular XML editor!

mmodem, please always pack your .ts files to VirtualBox_pt.zip or .tar.gz for easy identification and downloading from the ticket.

comment:291 follow-up: ↓ 292 Changed 6 years ago by dmik

Few last-minute updates for 1.6

I have resynchronized the .ts files once again before 1.6 because we had to add one more message box (appears when the new hard disk attachment is added but there is no unused hard disks for it) and one more error message. Please feel free to update the translation files but please remember that the 1.6 deadline is tomorrow morning, 30.04, 10:00 CET.

Please note that if you are unable to update these few new items by that time, they will not go to the 1.6 release, but they will for sure appear in the next 1.6.x update.

Pau, I noticed that your translation is seriously broken because you don't use Qt Linguist 3 for translation. Look at #1840 for example -- you attempted to translate the <comment> text there (and in other places around) which is wrong. Your translation will look ugly if you don't fix it. The deadline is the same.

Changed 6 years ago by victor

update to version 1.6

comment:292 in reply to: ↑ 291 Changed 6 years ago by Pau

Replying to dmik:

Pau, I noticed that your translation is seriously broken because you don't use Qt Linguist 3 for translation. Look at #1840 for example -- you attempted to translate the <comment> text there (and in other places around) which is wrong. Your translation will look ugly if you don't fix it. The deadline is the same.

Ok, thanks... I didn't realize when I turned to Gentoo. Well, I think Catalan traslation has to wait for the next release to be published (today I don't think it could be possible to fix it, I don't have a lot of time). Ups...

Changed 6 years ago by jean-jacques

Last minute translation

comment:293 Changed 6 years ago by docca

Updated translation for pt_BR with the last minute additions posted.

Changed 6 years ago by mmodem

Translation with last updates

Changed 6 years ago by Pau

Minor change

comment:294 Changed 6 years ago by dmik

1.6 last-minute updates to the Japanese, Italian, Chinese, French, Portuguese (Brazil), Portuguese, Catalan, and Serbian translations are merged to SVN. Thank you everyone!

The 1.6 translation period is closed now. All subsequent translation updates will most likely go to the next 1.6.x release.

victor, please note that you missed the last-minute translation updates so a couple of messages remains untranslated in your language.

comment:295 Changed 6 years ago by cromo

I realize I am late, but I didn't manage to find some spare time to finish the translation before yesterday.

Changed 6 years ago by cromo

Changed 6 years ago by wwl81er

The traditional chinese (zh_TW) translation attached here by wwl81er is published under the terms of the MIT license.

Changed 6 years ago by victor

minor change

comment:296 Changed 6 years ago by dmik

Updates to the Polish, Swedish, Chinese and Spanish translations are merged to SVN.

wwl81er, sorry but we cannot accept your translation:

  1. You based your work on the existing work of OSSII (OSS Integral Institute Co. Ltd. cotributed by bluebat and simply overwritten the Autors: field there w/o any explanation.
  2. You took the too old version of the VirtualBox_zh_TW.ts file and your translation doesn't merge cleanly.

In order to fix 1 please contact OSSII, discuss the matter with them and provide the feedback of this discussion here. To fix 2, simply take the current version of the file from the public SVN and use it for translating.

comment:297 Changed 6 years ago by dmik

1.6.2 NLS Ready to Translate

The new 1.6.2 release is expected in a week or so. There are a few (~10) new/changed/obsoleted items. You are welcome to update your translations.

The resynchronized NLS files are available in the public SVN now. Please make sure that you should only take and update .ts files from this directory:

 http://virtualbox.org/svn/vbox/trunk/src/VBox/Frontends/VirtualBox/nls/

Don't touch .ts files from the VirtualBox4 directory, they are not ready yet.

Changed 6 years ago by lestat

Update as 05/21/08

Changed 6 years ago by toshi3_tanaka

Update for 1.6.2

comment:298 Changed 6 years ago by david_yacobus

I hope to renew and fix minor typos in the Indonesian translations this week... Got troubles with my fedora 7...

Changed 6 years ago by docca

Brazilian Portuguese (pt_BR) translation for VirtualBox (updated for v1.6.2)

Changed 6 years ago by ozzii

Update

comment:299 Changed 6 years ago by dmik

1.6.2 updates to the Italian, Japanese, Portuguese (Brazil) and Serbian translations are merged to SVN. Thank you everyone!

Changed 6 years ago by victor

update for 1.6.2

Changed 6 years ago by david_yacobus

Indonesian Language updates for 1.62

Changed 6 years ago by david_yacobus

Indonesian Language updates for 1.6.2

Changed 6 years ago by david_yacobus

Indonesia language updates for 1.6.2

comment:300 Changed 6 years ago by ramosmarlon

' ¡Bienvenido a VirtualBox! '

La parte izquierda de la ventana está destinada para desplegar la lista de Máquinas Virtuales de su computadora. En este momento esta lista está vacía porque todavía no se ha creado ninguna máquina virtual.

Para crear una nueva Máquina Virtual presione el botón 'Nueva' en la barra de herramientas principal.

Puede utilizar la tecla 'F1' para la ayuda o visitar www.virtualbox.org(en inglés por ahora) para las últimas novedades e información.

comment:301 Changed 6 years ago by frank

  • Component changed from other to GUI

comment:302 Changed 6 years ago by yeager

Swedish language updated according to todays SVN checkout

Changed 6 years ago by yeager

Swedish translation

Changed 6 years ago by mmodem

Portuguese translation revisioned

comment:303 Changed 6 years ago by david_yacobus

BTW, I just saw, Swedish language updated according to todays SVN checkout

Have you update the indonesian translation to the svn? How to perform it?

comment:304 Changed 6 years ago by dmik

Note to all translators. The GUI is currently in the unstable state of transitioning from Qt3 to Qt4. No NLS updates are accepted at the present time. Please be patient and wait until a further notice. Thank you for your continued interest to our product!

comment:305 Changed 6 years ago by evin

Someone make the 100% hungarian translation? If not, than i make it, and fix the current translation. (Kicsit káosz van néhol a szövegben, jó lenne javítani.)

comment:306 Changed 6 years ago by dmik

Updates to Swedish, Portuguese (Qt only), Indonesian and Chinese (China) translations are merged to SVN. Thank you guys!

mmodem, please note that VirtualBox_pt.ts from your last Portuguese.tar.bz2 attachment was not updated in the SVN because it differs too much (you've picked up a too old version). Please take the fresh one from the current SVN, re-translate/merge it and then attach back.

comment:307 Changed 6 years ago by dmik

Keep in mind that all these updates are for the Qt3 frontend; the Qt4 frontend currently used on the trunk is not yet ready, so please don't translate the .ts files from src/VBox/Frontends/VirtualBox4/nls yet.

Changed 6 years ago by jd

85% done

comment:308 Changed 6 years ago by Tenzer

I will start on a Danish translation shortly.

Changed 6 years ago by jose1711

Updated Slovak translation

comment:309 follow-up: ↓ 310 Changed 6 years ago by jose1711

The Slovak (sk_SK) translation attached here by Jozef Riha is published under the terms of the MIT license.

comment:310 in reply to: ↑ 309 ; follow-up: ↓ 312 Changed 6 years ago by dmik

Replying to jose1711:

The Slovak (sk_SK) translation attached here by Jozef Riha is published under the terms of the MIT license.

Thank you very much, Jozef! However, the .ts file you attached is outdated and doesn't merge cleanly. Please take a new copy of VirtualBox_sk.ts from the SVN and merge your changes yourself, and then re-attach the file.

Changed 6 years ago by serdar

Some Turkish translations (VirtualBox_tr.ts) updated against SVN head.

comment:311 Changed 6 years ago by dmik

  • Description modified (diff)

Updates to Spanish and Turkish translations are merged to SVN. Thank you!

comment:312 in reply to: ↑ 310 ; follow-up: ↓ 313 Changed 6 years ago by jose1711

Replying to dmik:

Replying to jose1711:

The Slovak (sk_SK) translation attached here by Jozef Riha is published under the terms of the MIT license.

Thank you very much, Jozef! However, the .ts file you attached is outdated and doesn't merge cleanly. Please take a new copy of VirtualBox_sk.ts from the SVN and merge your changes yourself, and then re-attach the file.

please, what is the best way to do it? is it ok just to pull sources from svn, rewrite ts file with the one i modified (and attached here), run lupdate ../vbox/src/VBox/Frontends/ -ts VirtualBox_sk.ts and review/edit the ts file? i haven't found any merging tool for linguist files.

comment:313 in reply to: ↑ 312 ; follow-up: ↓ 314 Changed 6 years ago by dmik

Replying to jose1711:

please, what is the best way to do it? is it ok just to pull sources from svn, rewrite ts file with the one i modified (and attached here), run lupdate ../vbox/src/VBox/Frontends/ -ts VirtualBox_sk.ts and review/edit the ts file? i haven't found any merging tool for linguist files.

No, you must not run lupdate. A possible solution is to compare your attached .ts file with the fresh one from SVN side by side and transfer the translated strings from the former to the latter w/o breaking its structure.

In the future, the easiest way to keep it in sync is to go to some directory and type (this implies subversion is installed):

svn co http://virtualbox.org/svn/vbox/trunk/src/VBox/Frontends/VirtualBox/nls VirtualBox_nls

This will download the nls/ subdirectory from our public SVN to the ./VirtualBox_nls/ directory on your local drive where you will find your .ts file. You may translate it there "in place". Whenever you want to attach an updated version of your .ts file, you simply go to ./VirtualBox_nls/ and do:

svn update

This will pull out recent changes from our public SVN (if any) and merge them with your last version (which as I said above you keep right there). In some rare cases there may be conflicts between the latest SVN version and your local version which you will have to resolve manually (see the subversion documentation on the official project site).

Changed 6 years ago by jose1711

Updated Slovak translation (August 24, 2008)

comment:314 in reply to: ↑ 313 Changed 6 years ago by jose1711

Replying to dmik:

This will pull out recent changes from our public SVN (if any) and merge them with your last version (which as I said above you keep right there). In some rare cases there may be conflicts between the latest SVN version and your local version which you will have to resolve manually (see the subversion documentation on the official project site).

thanks dmik. hope the one i just uploaded will be ok. joe

comment:315 Changed 6 years ago by dmik

  • Description modified (diff)

Updates to the Slovak translation is merged to SVN. Thank you Jozef!

comment:316 Changed 6 years ago by dmik

  • Status changed from assigned to closed
  • Resolution set to fixed
  • Description modified (diff)

2.0 NLS Ready to Translate

The new 2.0 release is expected next week. Please note that VirtualBox 2.0 and following versions will ship the VirtualBox GUI that uses Qt version 4 and therefore you need to update the Qt4 NLS files, not the Qt4 ones. See comment:1 and also make sure you have read the Translating document once more since there are some important updates.

To make it clear and avoid any possible confusion, a new ticket:2018 has been created. Please read the first three comments carefully and direct all further translation activity to that defect.

This defect is closed from now on. Please don't comment on it and don't attach any new files here.

Changed 3 years ago by cool_zjy

full translation file

comment:317 in reply to: ↑ description Changed 3 years ago by cool_zjy

Chinese translator didn't do well,the translation is not complete,so I do this job again and made a complete translation.Wish this could be the default Chinese Translation Version

Changed 3 years ago by Gabee

Hungarian translation update for 4.1.0

comment:318 Changed 2 years ago by michael

  • Description modified (diff)

I would appreciate a comment from Mr Victor Wang on ticket #2018 to say whether he is still interested in maintaining the Chinese translation or whether someone new can take over. If you don't answer I will assume you are happy with that.

comment:319 Changed 20 months ago by michael

  • Description modified (diff)

Changed 19 months ago by PauGNU

Updated Catalan Translation (not 100% but working)

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use